trk.parldwinsh <- round(c(rep(0,length(as.integer(Ht.L1$time[as.integer(Ht.L1$time/365.25)<1]/365.25))),
                   1/as.integer(Ht.L1$time[as.integer(Ht.L1$time/365.25)>=1]/365.25)),3)


trk.parldlosesh <- round(c(rep(0,length(as.integer(Ht.L1$time[as.integer(Ht.L1$time/365.25)<1]/365.25))),
                   1/as.integer(Ht.L1$time[as.integer(Ht.L1$time/365.25)>=1]/365.25)),3)


trk.parlddrawsh <- round(c(rep(0,length(as.integer(Ht.L1$time[as.integer(Ht.L1$time/365.25)<1]/365.25))),
                   1/as.integer(Ht.L1$time[as.integer(Ht.L1$time/365.25)>=1]/365.25)),3)



# scenario 4 -- mixed win crisis

scen4.parl <- as.matrix(data.frame(mixed=rep(0,length(Ht.L1$time)),           # 1
                                  txmixed=rep(0,length(Ht.L1$time)),         # 2
                                  demparl=rep(1,length(Ht.L1$time)),         # 3
                                  txdemparl=trk.demparl*log(Ht.L1$time),       # 4
                                  dempres=rep(0,length(Ht.L1$time)),         # 5
                                  txdempres=rep(0,length(Ht.L1$time)),       # 6
                                  civwar=rep(0,length(Ht.L1$time)),          # 7
                                  txcivwar=rep(0,length(Ht.L1$time)),        # 8
                                  lnencap=trk.lnencap,                       # 9
                                  txlnencap=trk.lnencap*log(Ht.L1$time),     # 10
                                  encapchg=rep(ench.50,length(Ht.L1$time)),  # 11
                                  lntropen=trk.lntropen,                     # 12
                                  tropenchg=rep(trch.50,length(Ht.L1$time)), # 13
                                  lnpop=pop.50,                              # 14
                                  txlnpop=pop.50*log(Ht.L1$time),            # 15
                                  age=trk.age,                               # 16
                                  txage=trk.age*log(Ht.L1$time),             # 17
                                  powtimes=rep(0,length(Ht.L1$time)),        # 18
                                  inish=trk.inish,                           # 19
                                  tginvsh=rep(0,length(Ht.L1$time)),         # 20
                                  autdwinsh=rep(0,length(Ht.L1$time)),       # 21
                                  autdlosesh=rep(0,length(Ht.L1$time)),      # 22
                                  autddrawsh=rep(0,length(Ht.L1$time)),      # 23
                                  mixdwinsh=rep(0,length(Ht.L1$time)),       # 24
                                  mixdlosesh=rep(0,length(Ht.L1$time)),      # 25
                                  mixddrawsh=rep(0,length(Ht.L1$time)),      # 26
                                  dparldwinsh=trk.parldwinsh,     # 27
                                  dparldlosesh=rep(0,length(Ht.L1$time)),    # 28
                                  dparlddrawsh=rep(0,length(Ht.L1$time)),    # 29
                                  dpresdwinsh=rep(0,length(Ht.L1$time)),     # 30
                                  dpresdlosesh=rep(0,length(Ht.L1$time)),    # 31
                                  dpresddrawsh=rep(0,length(Ht.L1$time)),    # 32
                                  iniwar=rep(0,length(Ht.L1$time)),          # 33
                                  txiniwar=rep(0,length(Ht.L1$time)),        # 34
                                  tginvwar=rep(0,length(Ht.L1$time)),        # 35
                                  autdwinwar=rep(0,length(Ht.L1$time)),      # 36
                                  autdlosewar=rep(0,length(Ht.L1$time)),     # 37
                                  autddrawwar=rep(0,length(Ht.L1$time)),     # 38
                                  mixdwinwar=rep(0,length(Ht.L1$time)),      # 39
                                  mixdlosewar=rep(0,length(Ht.L1$time)),     # 40
                                  mixddrawwar=rep(0,length(Ht.L1$time)),     # 41
                                  dparldwinwar=rep(0,length(Ht.L1$time)),    # 42
                                  dparldlosewar=rep(0,length(Ht.L1$time)),   # 43
                                  dparlddrawwar=rep(0,length(Ht.L1$time)),   # 44
                                  dpresdwinwar=rep(0,length(Ht.L1$time)),    # 45
                                  dpresdlosewar=rep(0,length(Ht.L1$time)),   # 46
                                  dpresddrawwar=rep(0,length(Ht.L1$time))))  # 47


b.t <- (model2.imp$est) 
xb.parl.4 <- scen4.parl%*%b.t

out.scen4.parl <- NULL
out.scen4.parl[1] <- exp(-exp(xb.parl.4[1])*Ht[1])

for (i in 2:length(Ht.L1$time)) {
     out.scen4.parl[i] <- out.scen4.parl[i-1]*exp(-exp(xb.parl.4[i])*Ht[i])/exp(-exp(xb.parl.4[i])*Ht[i-1])
     }

rm(scen4.parl)


# scenario 5 -- mixed lose crisis

scen5.parl <- as.matrix(data.frame(mixed=rep(0,length(Ht.L1$time)),
                                  txmixed=rep(0,length(Ht.L1$time)),
                                  demparl=rep(1,length(Ht.L1$time)),
                                  txdemparl=trk.demparl*log(Ht.L1$time),
                                  dempres=rep(0,length(Ht.L1$time)),
                                  txdempres=rep(0,length(Ht.L1$time)),
                                  civwar=rep(0,length(Ht.L1$time)),
                                  txcivwar=rep(0,length(Ht.L1$time)),
                                  lnencap=trk.lnencap,
                                  txlnencap=trk.lnencap*log(Ht.L1$time),
                                  encapchg=rep(ench.50,length(Ht.L1$time)),
                                  lntropen=trk.lntropen,
                                  tropenchg=rep(trch.50,length(Ht.L1$time)),
                                  lnpop=pop.50,
                                  txlnpop=pop.50*log(Ht.L1$time),
                                  age=trk.age,
                                  txage=trk.age*log(Ht.L1$time),
                                  powtimes=rep(0,length(Ht.L1$time)),
                                  inish=trk.inish,
                                  tginvsh=rep(0,length(Ht.L1$time)),
                                  autdwinsh=rep(0,length(Ht.L1$time)),
                                  autdlosesh=rep(0,length(Ht.L1$time)),
                                  autddrawsh=rep(0,length(Ht.L1$time)),
                                  mixdwinsh=rep(0,length(Ht.L1$time)),
                                  mixdlosesh=rep(0,length(Ht.L1$time)),
                                  mixddrawsh=rep(0,length(Ht.L1$time)),
                                  dparldwinsh=rep(0,length(Ht.L1$time)),
                                  dparldlosesh=trk.parldlosesh,
                                  dparlddrawsh=rep(0,length(Ht.L1$time)),
                                  dpresdwinsh=rep(0,length(Ht.L1$time)),
                                  dpresdlosesh=rep(0,length(Ht.L1$time)),
                                  dpresddrawsh=rep(0,length(Ht.L1$time)),
                                  iniwar=rep(0,length(Ht.L1$time)),
                                  txiniwar=rep(0,length(Ht.L1$time)),
                                  tginvwar=rep(0,length(Ht.L1$time)),
                                  autdwinwar=rep(0,length(Ht.L1$time)),
                                  autdlosewar=rep(0,length(Ht.L1$time)),
                                  autddrawwar=rep(0,length(Ht.L1$time)),
                                  mixdwinwar=rep(0,length(Ht.L1$time)),
                                  mixdlosewar=rep(0,length(Ht.L1$time)),
                                  mixddrawwar=rep(0,length(Ht.L1$time)),
                                  dparldwinwar=rep(0,length(Ht.L1$time)),
                                  dparldlosewar=rep(0,length(Ht.L1$time)),
                                  dparlddrawwar=rep(0,length(Ht.L1$time)),
                                  dpresdwinwar=rep(0,length(Ht.L1$time)),
                                  dpresdlosewar=rep(0,length(Ht.L1$time)),
                                  dpresddrawwar=rep(0,length(Ht.L1$time)))) 


b.t <- (model2.imp$est) 
xb.parl.5 <- scen5.parl%*%b.t

out.scen5.parl <- NULL
out.scen5.parl[1] <- exp(-exp(xb.parl.5[1])*Ht[1])

for (i in 2:length(Ht.L1$time)) {
     out.scen5.parl[i] <- out.scen5.parl[i-1]*exp(-exp(xb.parl.5[i])*Ht[i])/exp(-exp(xb.parl.5[i])*Ht[i-1])
     }

rm(scen5.parl)


# scenario 6 -- mixed draw crisis


scen6.parl <- as.matrix(data.frame(mixed=rep(0,length(Ht.L1$time)),
                                  txmixed=rep(0,length(Ht.L1$time)),
                                  demparl=rep(1,length(Ht.L1$time)),
                                  txdemparl=trk.demparl*log(Ht.L1$time),
                                  dempres=rep(0,length(Ht.L1$time)),
                                  txdempres=rep(0,length(Ht.L1$time)),
                                  civwar=rep(0,length(Ht.L1$time)),
                                  txcivwar=rep(0,length(Ht.L1$time)),
                                  lnencap=trk.lnencap,
                                  txlnencap=trk.lnencap*log(Ht.L1$time),
                                  encapchg=rep(ench.50,length(Ht.L1$time)),
                                  lntropen=trk.lntropen,
                                  tropenchg=rep(trch.50,length(Ht.L1$time)),
                                  lnpop=pop.50,
                                  txlnpop=pop.50*log(Ht.L1$time),
                                  age=trk.age,
                                  txage=trk.age*log(Ht.L1$time),
                                  powtimes=rep(0,length(Ht.L1$time)),
                                  inish=trk.inish,
                                  tginvsh=rep(0,length(Ht.L1$time)),
                                  autdwinsh=rep(0,length(Ht.L1$time)),
                                  autdlosesh=rep(0,length(Ht.L1$time)),
                                  autddrawsh=rep(0,length(Ht.L1$time)),
                                  mixdwinsh=rep(0,length(Ht.L1$time)),
                                  mixdlosesh=rep(0,length(Ht.L1$time)),
                                  mixddrawsh=rep(0,length(Ht.L1$time)),
                                  dparldwinsh=rep(0,length(Ht.L1$time)),
                                  dparldlosesh=rep(0,length(Ht.L1$time)),
                                  dparlddrawsh=trk.parlddrawsh,
                                  dpresdwinsh=rep(0,length(Ht.L1$time)),
                                  dpresdlosesh=rep(0,length(Ht.L1$time)),
                                  dpresddrawsh=rep(0,length(Ht.L1$time)),
                                  iniwar=rep(0,length(Ht.L1$time)),
                                  txiniwar=rep(0,length(Ht.L1$time)),
                                  tginvwar=rep(0,length(Ht.L1$time)),
                                  autdwinwar=rep(0,length(Ht.L1$time)),
                                  autdlosewar=rep(0,length(Ht.L1$time)),
                                  autddrawwar=rep(0,length(Ht.L1$time)),
                                  mixdwinwar=rep(0,length(Ht.L1$time)),
                                  mixdlosewar=rep(0,length(Ht.L1$time)),
                                  mixddrawwar=rep(0,length(Ht.L1$time)),
                                  dparldwinwar=rep(0,length(Ht.L1$time)),
                                  dparldlosewar=rep(0,length(Ht.L1$time)),
                                  dparlddrawwar=rep(0,length(Ht.L1$time)),
                                  dpresdwinwar=rep(0,length(Ht.L1$time)),
                                  dpresdlosewar=rep(0,length(Ht.L1$time)),
                                  dpresddrawwar=rep(0,length(Ht.L1$time)))) 


b.t <- (model2.imp$est) 
xb.parl.6 <- scen6.parl%*%b.t

out.scen6.parl <- NULL
out.scen6.parl[1] <- exp(-exp(xb.parl.6[1])*Ht[1])

for (i in 2:length(Ht.L1$time)) {
     out.scen6.parl[i] <- out.scen6.parl[i-1]*exp(-exp(xb.parl.6[i])*Ht[i])/exp(-exp(xb.parl.6[i])*Ht[i-1])
     }

rm(scen6.parl)
