L.1$dcompsh <- Leader.data$dcompsh
L.2$dcompsh <- Leader.data$dcompsh
L.3$dcompsh <- Leader.data$dcompsh
L.4$dcompsh <- Leader.data$dcompsh
L.5$dcompsh <- Leader.data$dcompsh

L.1$dstalsh <- Leader.data$dstalsh
L.2$dstalsh <- Leader.data$dstalsh
L.3$dstalsh <- Leader.data$dstalsh
L.4$dstalsh <- Leader.data$dstalsh
L.5$dstalsh <- Leader.data$dstalsh


L.1$dcompwar <- Leader.data$dcompwar
L.2$dcompwar <- Leader.data$dcompwar
L.3$dcompwar <- Leader.data$dcompwar
L.4$dcompwar <- Leader.data$dcompwar
L.5$dcompwar <- Leader.data$dcompwar

L.1$dstalwar <- Leader.data$dstalwar
L.2$dstalwar <- Leader.data$dstalwar
L.3$dstalwar <- Leader.data$dstalwar
L.4$dstalwar <- Leader.data$dstalwar
L.5$dstalwar <- Leader.data$dstalwar


model1.tx.compstal.L1 <- coxph(Surv(t0, t, d) ~ mixed + txmixed + demparl + txdemparl + dempres + txdempres
                               + civwar + txcivwar
                               + lnencap + txlnencap + encapchg 
                               + lntropen + tropenchg 
                               + lnpop + txlnpop
                               + age + txage + powtimes
                               + inish + tginvsh
                               + dwinsh + dlosesh + dcompsh + dstalsh
                               + iniwar + txiniwar + tginvwar
                               + dwinwar + dlosewar + dcompwar + dstalwar
                               + frailty(ccode), na.action=na.exclude, data=L.1,
                               control=coxph.control(eps=1e-09,iter.max=100,outer.max=100))

model1.tx.compstal.L2 <- update(model1.tx.compstal.L1, .~.,data=L.2)

model1.tx.compstal.L3 <- update(model1.tx.compstal.L1, .~.,data=L.3)

model1.tx.compstal.L4 <- update(model1.tx.compstal.L1, .~.,data=L.4)

model1.tx.compstal.L5 <- update(model1.tx.compstal.L1, .~.,data=L.5)



cs1.coef.L1 <- list(coef(model1.tx.compstal.L1))
cs1.se.L1 <- list(sqrt(diag(vcov(model1.tx.compstal.L1))))

cs1.coef.L2 <- list(coef(model1.tx.compstal.L2))
cs1.se.L2 <- list(sqrt(diag(vcov(model1.tx.compstal.L2))))

cs1.coef.L3 <- list(coef(model1.tx.compstal.L3))
cs1.se.L3 <- list(sqrt(diag(vcov(model1.tx.compstal.L3))))

cs1.coef.L4 <- list(coef(model1.tx.compstal.L4))
cs1.se.L4 <- list(sqrt(diag(vcov(model1.tx.compstal.L4))))

cs1.coef.L5 <- list(coef(model1.tx.compstal.L5))
cs1.se.L5 <- list(sqrt(diag(vcov(model1.tx.compstal.L5))))

cs1.b <- c(cs1.coef.L1,cs1.coef.L2,cs1.coef.L3,cs1.coef.L4,cs1.coef.L5)
cs1.s <- c(cs1.se.L1,cs1.se.L2,cs1.se.L3,cs1.se.L4,cs1.se.L5)

model1.cs.imp <- mi.inference(cs1.b,cs1.s)
round(cbind(model1.cs.imp$est,model1.cs.imp$std.err,model1.cs.imp$signif),3)

attach(Leader.data)

L.1$mixdcompsh <- mixed*dcompsh
L.1$mixdstalsh <- mixed*dstalsh

L.1$dparldcompsh <- demparl*dcompsh
L.1$dparldstalsh <- demparl*dstalsh

L.1$dpresdcompsh <- dempres*dcompsh
L.1$dpresdstalsh <- dempres*dstalsh

L.1$autdcompsh <- autoc*dcompsh
L.1$autdstalsh <- autoc*dstalsh

L.1$mixdcompwar <- mixed*dcompwar
L.1$mixdstalwar <- mixed*dstalwar

L.1$dparldcompwar <- demparl*dcompwar
L.1$dparldstalwar <- demparl*dstalwar

L.1$dpresdcompwar <- dempres*dcompwar
L.1$dpresdstalwar <- dempres*dstalwar

L.1$autdcompwar <- autoc*dcompwar
L.1$autdstalwar <- autoc*dstalwar


L.2$mixdcompsh <- mixed*dcompsh
L.2$mixdstalsh <- mixed*dstalsh

L.2$dparldcompsh <- demparl*dcompsh
L.2$dparldstalsh <- demparl*dstalsh

L.2$dpresdcompsh <- dempres*dcompsh
L.2$dpresdstalsh <- dempres*dstalsh

L.2$autdcompsh <- autoc*dcompsh
L.2$autdstalsh <- autoc*dstalsh

L.2$mixdcompwar <- mixed*dcompwar
L.2$mixdstalwar <- mixed*dstalwar

L.2$dparldcompwar <- demparl*dcompwar
L.2$dparldstalwar <- demparl*dstalwar

L.2$dpresdcompwar <- dempres*dcompwar
L.2$dpresdstalwar <- dempres*dstalwar

L.2$autdcompwar <- autoc*dcompwar
L.2$autdstalwar <- autoc*dstalwar


L.3$mixdcompsh <- mixed*dcompsh
L.3$mixdstalsh <- mixed*dstalsh

L.3$dparldcompsh <- demparl*dcompsh
L.3$dparldstalsh <- demparl*dstalsh

L.3$dpresdcompsh <- dempres*dcompsh
L.3$dpresdstalsh <- dempres*dstalsh

L.3$autdcompsh <- autoc*dcompsh
L.3$autdstalsh <- autoc*dstalsh

L.3$mixdcompwar <- mixed*dcompwar
L.3$mixdstalwar <- mixed*dstalwar

L.3$dparldcompwar <- demparl*dcompwar
L.3$dparldstalwar <- demparl*dstalwar

L.3$dpresdcompwar <- dempres*dcompwar
L.3$dpresdstalwar <- dempres*dstalwar

L.3$autdcompwar <- autoc*dcompwar
L.3$autdstalwar <- autoc*dstalwar


L.4$mixdcompsh <- mixed*dcompsh
L.4$mixdstalsh <- mixed*dstalsh

L.4$dparldcompsh <- demparl*dcompsh
L.4$dparldstalsh <- demparl*dstalsh

L.4$dpresdcompsh <- dempres*dcompsh
L.4$dpresdstalsh <- dempres*dstalsh

L.4$autdcompsh <- autoc*dcompsh
L.4$autdstalsh <- autoc*dstalsh

L.4$mixdcompwar <- mixed*dcompwar
L.4$mixdstalwar <- mixed*dstalwar

L.4$dparldcompwar <- demparl*dcompwar
L.4$dparldstalwar <- demparl*dstalwar

L.4$dpresdcompwar <- dempres*dcompwar
L.4$dpresdstalwar <- dempres*dstalwar

L.4$autdcompwar <- autoc*dcompwar
L.4$autdstalwar <- autoc*dstalwar


L.5$mixdcompsh <- mixed*dcompsh
L.5$mixdstalsh <- mixed*dstalsh

L.5$dparldcompsh <- demparl*dcompsh
L.5$dparldstalsh <- demparl*dstalsh

L.5$dpresdcompsh <- dempres*dcompsh
L.5$dpresdstalsh <- dempres*dstalsh

L.5$autdcompsh <- autoc*dcompsh
L.5$autdstalsh <- autoc*dstalsh

L.5$mixdcompwar <- mixed*dcompwar
L.5$mixdstalwar <- mixed*dstalwar

L.5$dparldcompwar <- demparl*dcompwar
L.5$dparldstalwar <- demparl*dstalwar

L.5$dpresdcompwar <- dempres*dcompwar
L.5$dpresdstalwar <- dempres*dstalwar

L.5$autdcompwar <- autoc*dcompwar
L.5$autdstalwar <- autoc*dstalwar

detach(Leader.data)

model2.tx.compstal.L1 <- coxph(Surv(t0, t, d) ~ mixed + txmixed + demparl + txdemparl + dempres + txdempres
                               + civwar + txcivwar
                               + lnencap + txlnencap + encapchg 
                               + lntropen + tropenchg 
                               + lnpop + txlnpop
                               + age + txage + powtimes
                               + inish + tginvsh
                               + autdwinsh + autdlosesh + autdcompsh + autdstalsh
                               + mixdwinsh + mixdlosesh + mixdcompsh + mixdstalsh
                               + dparldwinsh + dparldlosesh + dparldcompsh + dparldstalsh
                               + dpresdwinsh + dpresdlosesh + dpresdcompsh + dpresdstalsh
                               + iniwar +txiniwar + tginvwar
                               + autdwinwar + autdlosewar + autdcompwar + autdstalwar
                               + mixdwinwar + mixdlosewar + mixdcompwar + mixdstalwar
                               + dparldwinwar + dparldlosewar + dparldcompwar # + dparldstalwar
                               + dpresdwinwar + dpresdlosewar + dpresdcompwar # + dpresdstalwar
                               + frailty(ccode), na.action=na.exclude, data=L.1,
                               control=coxph.control(eps=1e-09,iter.max=100,outer.max=100))


model2.tx.compstal.L2 <- update(model2.tx.compstal.L1, .~.,data=L.2)

model2.tx.compstal.L3 <- update(model2.tx.compstal.L1, .~.,data=L.3)

model2.tx.compstal.L4 <- update(model2.tx.compstal.L1, .~.,data=L.4)

model2.tx.compstal.L5 <- update(model2.tx.compstal.L1, .~.,data=L.5)


cs2.coef.L1 <- list(coef(model2.tx.compstal.L1))
cs2.se.L1 <- list(sqrt(diag(vcov(model2.tx.compstal.L1))))

cs2.coef.L2 <- list(coef(model2.tx.compstal.L2))
cs2.se.L2 <- list(sqrt(diag(vcov(model2.tx.compstal.L2))))

cs2.coef.L3 <- list(coef(model2.tx.compstal.L3))
cs2.se.L3 <- list(sqrt(diag(vcov(model2.tx.compstal.L3))))

cs2.coef.L4 <- list(coef(model2.tx.compstal.L4))
cs2.se.L4 <- list(sqrt(diag(vcov(model2.tx.compstal.L4))))

cs2.coef.L5 <- list(coef(model2.tx.compstal.L5))
cs2.se.L5 <- list(sqrt(diag(vcov(model2.tx.compstal.L5))))


cs2.b <- c(cs2.coef.L1,cs2.coef.L2,cs2.coef.L3,cs2.coef.L4,cs2.coef.L5)
cs2.s <- c(cs2.se.L1,cs2.se.L2,cs2.se.L3,cs2.se.L4,cs2.se.L5)

model2.cs.imp <- mi.inference(cs2.b,cs2.s)


m1.compstal <- round(cbind('b'=model1.cs.imp$est,'std.err'=model1.cs.imp$std.err,'p'=model1.cs.imp$signif),3)


library(Hmisc)

models.m1.compstal <- latex(m1.compstal, file='C:/My Documents/leaders/paper/lt/m1.compstal.latex.tex', ctable=TRUE,
                  label='tab:m1compstal')

detach(package:Hmisc)

m1.compstal.llk <- mean(c(model1.tx.compstal.L1$loglik[2],model1.tx.compstal.L2$loglik[2],
                          model1.tx.compstal.L3$loglik[2],model1.tx.compstal.L4$loglik[2],
                          model1.tx.compstal.L5$loglik[2]))

k <- nrow(vcov(model1.tx.compstal.L1))

m1.compstal.U <- (vcov(model1.tx.compstal.L1)+vcov(model1.tx.compstal.L2)+vcov(model1.tx.compstal.L3)
                  +vcov(model1.tx.compstal.L4)+vcov(model1.tx.compstal.L5))/M

m1.compstal.A <- diag(1,k,k)

m1.compstal.zz1 <- (model1.tx.compstal.L1$coef - model1.cs.imp$est)%*%t(model1.tx.compstal.L1$coef - model1.cs.imp$est)
m1.compstal.zz2 <- (model1.tx.compstal.L2$coef - model1.cs.imp$est)%*%t(model1.tx.compstal.L2$coef - model1.cs.imp$est)
m1.compstal.zz3 <- (model1.tx.compstal.L3$coef - model1.cs.imp$est)%*%t(model1.tx.compstal.L3$coef - model1.cs.imp$est)
m1.compstal.zz4 <- (model1.tx.compstal.L4$coef - model1.cs.imp$est)%*%t(model1.tx.compstal.L4$coef - model1.cs.imp$est)
m1.compstal.zz5 <- (model1.tx.compstal.L5$coef - model1.cs.imp$est)%*%t(model1.tx.compstal.L5$coef - model1.cs.imp$est)

m1.compstal.B <- (m1.compstal.zz1+m1.compstal.zz2+m1.compstal.zz3+m1.compstal.zz4+m1.compstal.zz5)/(M-1)

m1.compstal.rm <- (1+1/M)*sum(diag(m1.compstal.B%*%solve(m1.compstal.U)))/k

#m1.V <- (1+m1.rm)*m1.U

m1.compstal.Dm <- t(m1.compstal.A%*%model1.cs.imp$est)%*%solve(m1.compstal.A%*%m1.compstal.U%*%t(m1.compstal.A))%*%(m1.compstal.A%*%model1.cs.imp$est)/((1+m1.compstal.rm)*k)

m1.compstal.a <- 1-2/(k*(M-1))
m1.compstal.v <- 4+(k*(M-1)-4)*(1+m1.compstal.a/m1.compstal.rm)^2

m1.compstal.pval.Wald <- pf(m1.compstal.Dm,k,m1.compstal.v,lower.tail=FALSE)

m1.compstal.frailty <- mean(c(model1.tx.compstal.L1$history$"frailty(ccode)"$history[10,1],
                     model1.tx.compstal.L2$history$"frailty(ccode)"$history[10,1],
                     model1.tx.compstal.L3$history$"frailty(ccode)"$history[10,1],
                     model1.tx.compstal.L4$history$"frailty(ccode)"$history[10,1],
                     model1.tx.compstal.L5$history$"frailty(ccode)"$history[10,1]))


m1.compstal.k.theta <- 136 # see df from model1.tx.compstal.L1 for example
m1.compstal.d.bar.theta <- mean(c(1038.86,1039.70,1036.90,1053.17,1036.87))
m1.compstal.s2.theta <- var(c(1038.86,1039.70,1036.90,1053.17,1036.87)^.5)

m1.compstal.D.tilde.theta <- (m1.compstal.d.bar.theta/m1.compstal.k.theta - (1-1/M)*m1.compstal.s2.theta)/(1+(1+1/M)*m1.compstal.s2.theta)

m1.compstal.b.theta <- (m1.compstal.k.theta)^(-3/M)*(M-1)*(1+((1+1/M)*m1.compstal.s2.theta)^(-1))^2

m1.compstal.frail.pval <- pf(m1.compstal.D.tilde.theta,m1.compstal.k.theta,m1.compstal.b.theta,lower.tail=FALSE)




m2.compstal <- round(cbind('b'=model2.cs.imp$est,'std.err'=model2.cs.imp$std.err,'p'=model2.cs.imp$signif),3)


library(Hmisc)

models.m2.compstal <- latex(m2.compstal, file='C:/My Documents/leaders/paper/lt/m2.compstal.latex.tex', ctable=TRUE,
                  label='tab:m2compstal')

detach(package:Hmisc)

m2.compstal.llk <- mean(c(model2.tx.compstal.L1$loglik[2],model2.tx.compstal.L2$loglik[2],
                          model2.tx.compstal.L3$loglik[2],model2.tx.compstal.L4$loglik[2],
                          model2.tx.compstal.L5$loglik[2]))

k <- nrow(vcov(model2.tx.compstal.L1))

m2.compstal.U <- (vcov(model2.tx.compstal.L1)+vcov(model2.tx.compstal.L2)+vcov(model2.tx.compstal.L3)
                  +vcov(model2.tx.compstal.L4)+vcov(model2.tx.compstal.L5))/M

m2.compstal.A <- diag(1,k,k)

m2.compstal.zz1 <- (model2.tx.compstal.L1$coef - model2.cs.imp$est)%*%t(model2.tx.compstal.L1$coef - model2.cs.imp$est)
m2.compstal.zz2 <- (model2.tx.compstal.L2$coef - model2.cs.imp$est)%*%t(model2.tx.compstal.L2$coef - model2.cs.imp$est)
m2.compstal.zz3 <- (model2.tx.compstal.L3$coef - model2.cs.imp$est)%*%t(model2.tx.compstal.L3$coef - model2.cs.imp$est)
m2.compstal.zz4 <- (model2.tx.compstal.L4$coef - model2.cs.imp$est)%*%t(model2.tx.compstal.L4$coef - model2.cs.imp$est)
m2.compstal.zz5 <- (model2.tx.compstal.L5$coef - model2.cs.imp$est)%*%t(model2.tx.compstal.L5$coef - model2.cs.imp$est)

m2.compstal.B <- (m2.compstal.zz1+m2.compstal.zz2+m2.compstal.zz3+m2.compstal.zz4+m2.compstal.zz5)/(M-1)

m2.compstal.rm <- (1+1/M)*sum(diag(m2.compstal.B%*%solve(m2.compstal.U)))/k

#m2.V <- (1+m2.rm)*m2.U

m2.compstal.Dm <- t(m2.compstal.A%*%model2.cs.imp$est)%*%solve(m2.compstal.A%*%m2.compstal.U%*%t(m2.compstal.A))%*%(m2.compstal.A%*%model2.cs.imp$est)/((1+m2.compstal.rm)*k)

m2.compstal.a <- 1-2/(k*(M-1))
m2.compstal.v <- 4+(k*(M-1)-4)*(1+m2.compstal.a/m2.compstal.rm)^2

m2.compstal.pval.Wald <- pf(m2.compstal.Dm,k,m2.compstal.v,lower.tail=FALSE)

m2.compstal.frailty <- mean(c(model2.tx.compstal.L1$history$"frailty(ccode)"$history[10,1],
                     model2.tx.compstal.L2$history$"frailty(ccode)"$history[10,1],
                     model2.tx.compstal.L3$history$"frailty(ccode)"$history[10,1],
                     model2.tx.compstal.L4$history$"frailty(ccode)"$history[10,1],
                     model2.tx.compstal.L5$history$"frailty(ccode)"$history[10,1]))


m2.compstal.k.theta <- 136 # see df from model2.tx.compstal.L2 for example
m2.compstal.d.bar.theta <- mean(c(1027.93,1028.68,1025.32,1042.76,1026.01))
m2.compstal.s2.theta <- var(c(1027.93,1028.68,1025.32,1042.76,1026.01)^.5)

m2.compstal.D.tilde.theta <- (m2.compstal.d.bar.theta/m2.compstal.k.theta - (1-1/M)*m2.compstal.s2.theta)/(1+(1+1/M)*m2.compstal.s2.theta)

m2.compstal.b.theta <- (m2.compstal.k.theta)^(-3/M)*(M-1)*(1+((1+1/M)*m2.compstal.s2.theta)^(-1))^2

m2.compstal.frail.pval <- pf(m2.compstal.D.tilde.theta,m2.compstal.k.theta,m2.compstal.b.theta,lower.tail=FALSE)
