* analysis;

clear
set mem 15m


use "C:\My Documents\leaders\data\leaddur9.dta"

* drop if leader=="Martinez Barro" & ccode==230 & year==1936

stset endobs, id(leadid) failure(fail==1) origin(time eindate) enter(time startobs) /*scale(365.25) */

rename lnencap_i lnencapi
rename encapchg_i encapchgi
rename lntropen_i lntropeni
rename tropenchg_i tropenchgi
rename iniwar_ong iniwarong
rename tgwar_ong tgwarong
rename tgsh_ong tgshong
rename inish_ong inishong
rename yr_to_rem yrtorem
rename _st st
rename _d d
rename _origin origin
rename _t t
rename _t0 t0

drop lnencapi encapchgi lntropeni tropenchgi yrtorem outsh outwar
drop if st==0

save "C:\My Documents\leaders\data\toR.dta", replace

