det.L1 <- coxph.detail(model2.tx.L1)
H.L1 <- det.L1$hazard
cum.haz.L1 <- NULL
cum.haz.L1[1] <- det.L1$hazard[1]
for (i in 2:length(det.L1$hazard)) {
    cum.haz.L1[i] <- cum.haz.L1[i-1] + det.L1$hazard[i]
    }
z0.L1 <- model2.tx.L1$means
bz0.L1 <- sum(z0.L1*coef(model2.tx.L1))
cum.haz.L1 <- cum.haz.L1*exp(-bz0.L1)
rm(det.L1,H.L1,z0.L1,bz0.L1)

det.L2 <- coxph.detail(model2.tx.L2)
H.L2 <- det.L2$hazard
cum.haz.L2 <- NULL
cum.haz.L2[1] <- det.L2$hazard[1]
for (i in 2:length(det.L2$hazard)) {
    cum.haz.L2[i] <- cum.haz.L2[i-1] + det.L2$hazard[i]
    }
z0.L2 <- model2.tx.L2$means
bz0.L2 <- sum(z0.L2*coef(model2.tx.L2))
cum.haz.L2 <- cum.haz.L2*exp(-bz0.L2)
rm(det.L2,H.L2,z0.L2,bz0.L2)


det.L3 <- coxph.detail(model2.tx.L3)
H.L3 <- det.L3$hazard
cum.haz.L3 <- NULL
cum.haz.L3[1] <- det.L3$hazard[1]
for (i in 2:length(det.L3$hazard)) {
    cum.haz.L3[i] <- cum.haz.L3[i-1] + det.L3$hazard[i]
    }
z0.L3 <- model2.tx.L3$means
bz0.L3 <- sum(z0.L3*coef(model2.tx.L3))
cum.haz.L3 <- cum.haz.L3*exp(-bz0.L3)
rm(det.L3,H.L3,z0.L3,bz0.L3)


det.L4 <- coxph.detail(model2.tx.L4)
H.L4 <- det.L4$hazard
cum.haz.L4 <- NULL
cum.haz.L4[1] <- det.L4$hazard[1]
for (i in 2:length(det.L4$hazard)) {
    cum.haz.L4[i] <- cum.haz.L4[i-1] + det.L4$hazard[i]
    }
z0.L4 <- model2.tx.L4$means
bz0.L4 <- sum(z0.L4*coef(model2.tx.L4))
cum.haz.L4 <- cum.haz.L4*exp(-bz0.L4)
rm(det.L4,H.L4,z0.L4,bz0.L4)


det.L5 <- coxph.detail(model2.tx.L5)
H.L5 <- det.L5$hazard
cum.haz.L5 <- NULL
cum.haz.L5[1] <- det.L5$hazard[1]
for (i in 2:length(det.L5$hazard)) {
    cum.haz.L5[i] <- cum.haz.L5[i-1] + det.L5$hazard[i]
    }
z0.L5 <- model2.tx.L5$means
bz0.L5 <- sum(z0.L5*coef(model2.tx.L5))
cum.haz.L5 <- cum.haz.L5*exp(-bz0.L5)
rm(det.L5,H.L5,z0.L5,bz0.L5)


Ht <- apply(cbind(cum.haz.L1,cum.haz.L2,cum.haz.L3,cum.haz.L4,cum.haz.L5),1,mean)



en.50 <- median(c(median(L.1$lnencap),median(L.2$lnencap),median(L.3$lnencap),median(L.4$lnencap),median(L.5$lnencap)))


ench.50 <- median(c(median(L.1$encapchg),median(L.2$encapchg),median(L.3$encapchg),median(L.4$encapchg),
                    median(L.5$encapchg)))
ench.25 <- median(c(quantile(L.1$encapchg)[2],quantile(L.2$encapchg)[2],quantile(L.3$encapchg)[2],quantile(L.4$encapchg)[2],
         quantile(L.5$encapchg)[2]))
ench.75 <- median(c(quantile(L.1$encapchg)[4],quantile(L.2$encapchg)[4],quantile(L.3$encapchg)[4],quantile(L.4$encapchg)[4],
         quantile(L.5$encapchg)[4]))



tr.50 <- median(c(median(L.1$lntropen),median(L.2$lntropen),median(L.3$lntropen),median(L.4$lntropen),median(L.5$lntropen)))

trch.50 <- median(c(median(L.1$tropenchg),median(L.2$tropenchg),median(L.3$tropenchg),median(L.4$tropenchg),
                   median(L.5$tropenchg)))
trch.25 <- median(c(quantile(L.1$tropenchg)[2],quantile(L.2$tropenchg)[2],quantile(L.3$tropenchg)[2],quantile(L.4$tropenchg)[2],
         quantile(L.5$tropenchg)[2]))
trch.75 <- median(c(quantile(L.1$tropenchg)[4],quantile(L.2$tropenchg)[4],quantile(L.3$tropenchg)[4],quantile(L.4$tropenchg)[4],
         quantile(L.5$tropenchg)[4]))


age.50 <- median(c(median(L.1$age),median(L.2$age),median(L.3$age),median(L.4$age),median(L.5$age)))


trk.mixed <- rep(1,length(Ht.L1$time))
trk.demparl <- rep(1,length(Ht.L1$time))
trk.dempres <- rep(1,length(Ht.L1$time))

trk.civwar <- rep(1,length(Ht.L1$time))

trk.lnencap <- (en.50+as.integer(Ht.L1$time/365.25)*ench.50/100)

trk.lntropen <- (tr.50+as.integer(Ht.L1$time/365.25)*trch.50/100)

trk.age <- age.50+as.integer(Ht.L1$time/365.25)

pop.50 <- median(c(median(L.1$lnpop),median(L.2$lnpop),median(L.3$lnpop),median(L.4$lnpop),median(L.5$lnpop)))
pop.50 <- rep(pop.50,length(Ht.L1$time))


# scenario 1 -- autocracy

scen1.aut <- as.matrix(data.frame(mixed=rep(0,length(Ht.L1$time)),           # 1
                                  txmixed=rep(0,length(Ht.L1$time)),         # 2
                                  demparl=rep(0,length(Ht.L1$time)),         # 3
                                  txdemparl=rep(0,length(Ht.L1$time)),       # 4
                                  dempres=rep(0,length(Ht.L1$time)),         # 5
                                  txdempres=rep(0,length(Ht.L1$time)),       # 6
                                  civwar=rep(0,length(Ht.L1$time)),          # 7
                                  txcivwar=rep(0,length(Ht.L1$time)),        # 8
                                  lnencap=trk.lnencap,                       # 9
                                  txlnencap=trk.lnencap*log(Ht.L1$time),     # 10
                                  encapchg=rep(ench.50,length(Ht.L1$time)),  # 11
                                  lntropen=trk.lntropen,                     # 12
                                  tropenchg=rep(trch.50,length(Ht.L1$time)), # 13
                                  lnpop=pop.50,                              # 14
                                  txlnpop=pop.50*log(Ht.L1$time),            # 15
                                  age=trk.age,                               # 16
                                  txage=trk.age*log(Ht.L1$time),             # 17
                                  powtimes=rep(0,length(Ht.L1$time)),        # 18
                                  inish=rep(0,length(Ht.L1$time)),           # 19
                                  tginvsh=rep(0,length(Ht.L1$time)),         # 20
                                  autdwinsh=rep(0,length(Ht.L1$time)),       # 21
                                  autdlosesh=rep(0,length(Ht.L1$time)),      # 22
                                  autddrawsh=rep(0,length(Ht.L1$time)),      # 23
                                  mixdwinsh=rep(0,length(Ht.L1$time)),       # 24
                                  mixdlosesh=rep(0,length(Ht.L1$time)),      # 25
                                  mixddrawsh=rep(0,length(Ht.L1$time)),      # 26
                                  dparldwinsh=rep(0,length(Ht.L1$time)),     # 27
                                  dparldlosesh=rep(0,length(Ht.L1$time)),    # 28
                                  dparlddrawsh=rep(0,length(Ht.L1$time)),    # 29
                                  dpresdwinsh=rep(0,length(Ht.L1$time)),     # 30
                                  dpresdlosesh=rep(0,length(Ht.L1$time)),    # 31
                                  dpresddrawsh=rep(0,length(Ht.L1$time)),    # 32
                                  iniwar=rep(0,length(Ht.L1$time)),          # 33
                                  txiniwar=rep(0,length(Ht.L1$time)),        # 34
                                  tginvwar=rep(0,length(Ht.L1$time)),        # 35
                                  autdwinwar=rep(0,length(Ht.L1$time)),      # 36
                                  autdlosewar=rep(0,length(Ht.L1$time)),     # 37
                                  autddrawwar=rep(0,length(Ht.L1$time)),     # 38
                                  mixdwinwar=rep(0,length(Ht.L1$time)),      # 39
                                  mixdlosewar=rep(0,length(Ht.L1$time)),     # 40
                                  mixddrawwar=rep(0,length(Ht.L1$time)),     # 41
                                  dparldwinwar=rep(0,length(Ht.L1$time)),    # 42
                                  dparldlosewar=rep(0,length(Ht.L1$time)),   # 43
                                  dparlddrawwar=rep(0,length(Ht.L1$time)),   # 44
                                  dpresdwinwar=rep(0,length(Ht.L1$time)),    # 45
                                  dpresdlosewar=rep(0,length(Ht.L1$time)),   # 46
                                  dpresddrawwar=rep(0,length(Ht.L1$time))))  # 47


b.t <- (model2.imp$est) 
xb.aut.1 <- scen1.aut%*%b.t

out.scen1.aut <- NULL
out.scen1.aut[1] <- exp(-exp(xb.aut.1[1])*Ht[1])

for (i in 2:length(Ht.L1$time)) {
     out.scen1.aut[i] <- out.scen1.aut[i-1]*exp(-exp(xb.aut.1[i])*Ht[i])/exp(-exp(xb.aut.1[i])*Ht[i-1])
     }

out.scen1.aut.c <- NULL
out.scen1.aut.c[1] <- exp(-exp(xb.aut.1[1])*Ht[1])
for (i in 2:length(Ht.L1$time)) {
     out.scen1.aut.c[i] <- exp(-exp(xb.aut.1[i])*Ht[i])/exp(-exp(xb.aut.1[i])*Ht[i-1])
     }


rm(scen1.aut)


# scenario 1 -- mixed

scen1.mix <- as.matrix(data.frame(mixed=rep(1,length(Ht.L1$time)),
                                  txmixed=trk.mixed*log(Ht.L1$time),
                                  demparl=rep(0,length(Ht.L1$time)),
                                  txdemparl=rep(0,length(Ht.L1$time)),
                                  dempres=rep(0,length(Ht.L1$time)),
                                  txdempres=rep(0,length(Ht.L1$time)),
                                  civwar=rep(0,length(Ht.L1$time)),
                                  txcivwar=rep(0,length(Ht.L1$time)),
                                  lnencap=trk.lnencap,
                                  txlnencap=trk.lnencap*log(Ht.L1$time),
                                  encapchg=rep(ench.50,length(Ht.L1$time)),
                                  lntropen=trk.lntropen,
                                  tropenchg=rep(trch.50,length(Ht.L1$time)),
                                  lnpop=pop.50,
                                  txlnpop=pop.50*log(Ht.L1$time),
                                  age=trk.age,
                                  txage=trk.age*log(Ht.L1$time),
                                  powtimes=rep(0,length(Ht.L1$time)),
                                  inish=rep(0,length(Ht.L1$time)),
                                  tginvsh=rep(0,length(Ht.L1$time)),
                                  autdwinsh=rep(0,length(Ht.L1$time)),
                                  autdlosesh=rep(0,length(Ht.L1$time)),
                                  autddrawsh=rep(0,length(Ht.L1$time)),
                                  mixdwinsh=rep(0,length(Ht.L1$time)),
                                  mixdlosesh=rep(0,length(Ht.L1$time)),
                                  mixddrawsh=rep(0,length(Ht.L1$time)),
                                  dparldwinsh=rep(0,length(Ht.L1$time)),
                                  dparldlosesh=rep(0,length(Ht.L1$time)),
                                  dparlddrawsh=rep(0,length(Ht.L1$time)),
                                  dpresdwinsh=rep(0,length(Ht.L1$time)),
                                  dpresdlosesh=rep(0,length(Ht.L1$time)),
                                  dpresddrawsh=rep(0,length(Ht.L1$time)),
                                  iniwar=rep(0,length(Ht.L1$time)),
                                  txiniwar=rep(0,length(Ht.L1$time)),
                                  tginvwar=rep(0,length(Ht.L1$time)),
                                  autdwinwar=rep(0,length(Ht.L1$time)),
                                  autdlosewar=rep(0,length(Ht.L1$time)),
                                  autddrawwar=rep(0,length(Ht.L1$time)),
                                  mixdwinwar=rep(0,length(Ht.L1$time)),
                                  mixdlosewar=rep(0,length(Ht.L1$time)),
                                  mixddrawwar=rep(0,length(Ht.L1$time)),
                                  dparldwinwar=rep(0,length(Ht.L1$time)),
                                  dparldlosewar=rep(0,length(Ht.L1$time)),
                                  dparlddrawwar=rep(0,length(Ht.L1$time)),
                                  dpresdwinwar=rep(0,length(Ht.L1$time)),
                                  dpresdlosewar=rep(0,length(Ht.L1$time)),
                                  dpresddrawwar=rep(0,length(Ht.L1$time)))) 


b.t <- (model2.imp$est) 
xb.mix.1 <- scen1.mix%*%b.t

out.scen1.mix <- NULL
out.scen1.mix[1] <- exp(-exp(xb.mix.1[1])*Ht[1])

for (i in 2:length(Ht.L1$time)) {
     out.scen1.mix[i] <- out.scen1.mix[i-1]*exp(-exp(xb.mix.1[i])*Ht[i])/exp(-exp(xb.mix.1[i])*Ht[i-1])
     }


out.scen1.mix.c <- NULL
out.scen1.mix.c[1] <- exp(-exp(xb.mix.1[1])*Ht[1])

for (i in 2:length(Ht.L1$time)) {
     out.scen1.mix.c[i] <- exp(-exp(xb.mix.1[i])*Ht[i])/exp(-exp(xb.mix.1[i])*Ht[i-1])
     }

rm(scen1.mix)


# scenario 1 -- parliamentary


scen1.parl <- as.matrix(data.frame(mixed=rep(0,length(Ht.L1$time)),
                                  txmixed=rep(0,length(Ht.L1$time)),
                                  demparl=rep(1,length(Ht.L1$time)),
                                  txdemparl=trk.demparl*log(Ht.L1$time),
                                  dempres=rep(0,length(Ht.L1$time)),
                                  txdempres=rep(0,length(Ht.L1$time)),
                                  civwar=rep(0,length(Ht.L1$time)),
                                  txcivwar=rep(0,length(Ht.L1$time)),
                                  lnencap=trk.lnencap,
                                  txlnencap=trk.lnencap*log(Ht.L1$time),
                                  encapchg=rep(ench.50,length(Ht.L1$time)),
                                  lntropen=trk.lntropen,
                                  tropenchg=rep(trch.50,length(Ht.L1$time)),
                                  lnpop=pop.50,
                                  txlnpop=pop.50*log(Ht.L1$time),
                                  age=trk.age,
                                  txage=trk.age*log(Ht.L1$time),
                                  powtimes=rep(0,length(Ht.L1$time)),
                                  inish=rep(0,length(Ht.L1$time)),
                                  tginvsh=rep(0,length(Ht.L1$time)),
                                  autdwinsh=rep(0,length(Ht.L1$time)),
                                  autdlosesh=rep(0,length(Ht.L1$time)),
                                  autddrawsh=rep(0,length(Ht.L1$time)),
                                  mixdwinsh=rep(0,length(Ht.L1$time)),
                                  mixdlosesh=rep(0,length(Ht.L1$time)),
                                  mixddrawsh=rep(0,length(Ht.L1$time)),
                                  dparldwinsh=rep(0,length(Ht.L1$time)),
                                  dparldlosesh=rep(0,length(Ht.L1$time)),
                                  dparlddrawsh=rep(0,length(Ht.L1$time)),
                                  dpresdwinsh=rep(0,length(Ht.L1$time)),
                                  dpresdlosesh=rep(0,length(Ht.L1$time)),
                                  dpresddrawsh=rep(0,length(Ht.L1$time)),
                                  iniwar=rep(0,length(Ht.L1$time)),
                                  txiniwar=rep(0,length(Ht.L1$time)),
                                  tginvwar=rep(0,length(Ht.L1$time)),
                                  autdwinwar=rep(0,length(Ht.L1$time)),
                                  autdlosewar=rep(0,length(Ht.L1$time)),
                                  autddrawwar=rep(0,length(Ht.L1$time)),
                                  mixdwinwar=rep(0,length(Ht.L1$time)),
                                  mixdlosewar=rep(0,length(Ht.L1$time)),
                                  mixddrawwar=rep(0,length(Ht.L1$time)),
                                  dparldwinwar=rep(0,length(Ht.L1$time)),
                                  dparldlosewar=rep(0,length(Ht.L1$time)),
                                  dparlddrawwar=rep(0,length(Ht.L1$time)),
                                  dpresdwinwar=rep(0,length(Ht.L1$time)),
                                  dpresdlosewar=rep(0,length(Ht.L1$time)),
                                  dpresddrawwar=rep(0,length(Ht.L1$time)))) 


b.t <- (model2.imp$est) 
xb.parl.1 <- scen1.parl%*%b.t

out.scen1.parl <- NULL
out.scen1.parl[1] <- exp(-exp(xb.parl.1[1])*Ht[1])

for (i in 2:length(Ht.L1$time)) {
     out.scen1.parl[i] <- out.scen1.parl[i-1]*exp(-exp(xb.parl.1[i])*Ht[i])/exp(-exp(xb.parl.1[i])*Ht[i-1])
     }

rm(scen1.parl)


# scenario 1 -- presidential


scen1.pres <- as.matrix(data.frame(mixed=rep(0,length(Ht.L1$time)),
                                  txmixed=rep(0,length(Ht.L1$time)),
                                  demparl=rep(0,length(Ht.L1$time)),
                                  txdemparl=rep(0,length(Ht.L1$time)),
                                  dempres=rep(1,length(Ht.L1$time)),
                                  txdempres=trk.dempres*log(Ht.L1$time),
                                  civwar=rep(0,length(Ht.L1$time)),
                                  txcivwar=rep(0,length(Ht.L1$time)),
                                  lnencap=trk.lnencap,
                                  txlnencap=trk.lnencap*log(Ht.L1$time),
                                  encapchg=rep(ench.50,length(Ht.L1$time)),
                                  lntropen=trk.lntropen,
                                  tropenchg=rep(trch.50,length(Ht.L1$time)),
                                  lnpop=pop.50,
                                  txlnpop=pop.50*log(Ht.L1$time),
                                  age=trk.age,
                                  txage=trk.age*log(Ht.L1$time),
                                  powtimes=rep(0,length(Ht.L1$time)),
                                  inish=rep(0,length(Ht.L1$time)),
                                  tginvsh=rep(0,length(Ht.L1$time)),
                                  autdwinsh=rep(0,length(Ht.L1$time)),
                                  autdlosesh=rep(0,length(Ht.L1$time)),
                                  autddrawsh=rep(0,length(Ht.L1$time)),
                                  mixdwinsh=rep(0,length(Ht.L1$time)),
                                  mixdlosesh=rep(0,length(Ht.L1$time)),
                                  mixddrawsh=rep(0,length(Ht.L1$time)),
                                  dparldwinsh=rep(0,length(Ht.L1$time)),
                                  dparldlosesh=rep(0,length(Ht.L1$time)),
                                  dparlddrawsh=rep(0,length(Ht.L1$time)),
                                  dpresdwinsh=rep(0,length(Ht.L1$time)),
                                  dpresdlosesh=rep(0,length(Ht.L1$time)),
                                  dpresddrawsh=rep(0,length(Ht.L1$time)),
                                  iniwar=rep(0,length(Ht.L1$time)),
                                  txiniwar=rep(0,length(Ht.L1$time)),
                                  tginvwar=rep(0,length(Ht.L1$time)),
                                  autdwinwar=rep(0,length(Ht.L1$time)),
                                  autdlosewar=rep(0,length(Ht.L1$time)),
                                  autddrawwar=rep(0,length(Ht.L1$time)),
                                  mixdwinwar=rep(0,length(Ht.L1$time)),
                                  mixdlosewar=rep(0,length(Ht.L1$time)),
                                  mixddrawwar=rep(0,length(Ht.L1$time)),
                                  dparldwinwar=rep(0,length(Ht.L1$time)),
                                  dparldlosewar=rep(0,length(Ht.L1$time)),
                                  dparlddrawwar=rep(0,length(Ht.L1$time)),
                                  dpresdwinwar=rep(0,length(Ht.L1$time)),
                                  dpresdlosewar=rep(0,length(Ht.L1$time)),
                                  dpresddrawwar=rep(0,length(Ht.L1$time)))) 


b.t <- (model2.imp$est) 
xb.pres.1 <- scen1.pres%*%b.t

out.scen1.pres <- NULL
out.scen1.pres[1] <- exp(-exp(xb.pres.1[1])*Ht[1])

for (i in 2:length(Ht.L1$time)) {
     out.scen1.pres[i] <- out.scen1.pres[i-1]*exp(-exp(xb.pres.1[i])*Ht[i])/exp(-exp(xb.pres.1[i])*Ht[i-1])
     }

rm(scen1.pres)






###########################

# S1 <- exp(-exp(xb.t[1])*Ht[1:22,1])
# S2 <- min(S1)*exp(-exp(xb.t[2])*Ht[23:33,1])/exp(-exp(xb.t[2])*Ht[22,1])


# detail <- coxph.detail(model2.tx.L5)

# cum.haz <- NULL
# cum.haz[1] <- detail$hazard[1]

# for (i in 2:length(detail$hazard)) {
#    cum.haz[i] <- cum.haz[i-1] + detail$hazard[i]
#    }

# Hc.L5 <- basehaz(model2.tx.L5,centered=TRUE)

# cbind(Ht.L5$hazard,Hc.L5$hazard,cum.haz)



for (i in 2:length(Ht.L1$time)) {
     out.scen1.aut.c[i] <- exp(-exp(xb.aut.1[i])*Ht[i])/exp(-exp(xb.aut.1[i])*Ht[i-1])
     }
