trk.presdwinwar <- round(c(rep(0,length(as.integer(Ht.L1$time[as.integer(Ht.L1$time/365.25)<1]/365.25))),
                   1/as.integer(Ht.L1$time[as.integer(Ht.L1$time/365.25)>=1]/365.25)),3)


trk.presdlosewar <- round(c(rep(0,length(as.integer(Ht.L1$time[as.integer(Ht.L1$time/365.25)<1]/365.25))),
                   1/as.integer(Ht.L1$time[as.integer(Ht.L1$time/365.25)>=1]/365.25)),3)


trk.presddrawwar <- round(c(rep(0,length(as.integer(Ht.L1$time[as.integer(Ht.L1$time/365.25)<1]/365.25))),
                   1/as.integer(Ht.L1$time[as.integer(Ht.L1$time/365.25)>=1]/365.25)),3)



# scenario 4 -- autocracy win crisis

scen7.pres <- as.matrix(data.frame(mixed=rep(0,length(Ht.L1$time)),           # 1
                                  txmixed=rep(0,length(Ht.L1$time)),         # 2
                                  demparl=rep(0,length(Ht.L1$time)),         # 3
                                  txdemparl=rep(0,length(Ht.L1$time)),       # 4
                                  dempres=rep(1,length(Ht.L1$time)),         # 5
                                  txdempres=trk.dempres*log(Ht.L1$time),       # 6
                                  civwar=rep(0,length(Ht.L1$time)),          # 7
                                  txcivwar=rep(0,length(Ht.L1$time)),        # 8
                                  lnencap=trk.lnencap,                       # 9
                                  txlnencap=trk.lnencap*log(Ht.L1$time),     # 10
                                  encapchg=rep(ench.50,length(Ht.L1$time)),  # 11
                                  lntropen=trk.lntropen,                     # 12
                                  tropenchg=rep(trch.50,length(Ht.L1$time)), # 13
                                  lnpop=pop.50,                              # 14
                                  txlnpop=pop.50*log(Ht.L1$time),            # 15
                                  age=trk.age,                               # 16
                                  txage=trk.age*log(Ht.L1$time),             # 17
                                  powtimes=rep(0,length(Ht.L1$time)),        # 18
                                  inish=rep(0,length(Ht.L1$time)),                           # 19
                                  tginvsh=rep(0,length(Ht.L1$time)),         # 20
                                  autdwinsh=rep(0,length(Ht.L1$time)),                   # 21
                                  autdlosesh=rep(0,length(Ht.L1$time)),      # 22
                                  autddrawsh=rep(0,length(Ht.L1$time)),      # 23
                                  mixdwinsh=rep(0,length(Ht.L1$time)),       # 24
                                  mixdlosesh=rep(0,length(Ht.L1$time)),      # 25
                                  mixddrawsh=rep(0,length(Ht.L1$time)),      # 26
                                  dparldwinsh=rep(0,length(Ht.L1$time)),     # 27
                                  dparldlosesh=rep(0,length(Ht.L1$time)),    # 28
                                  dparlddrawsh=rep(0,length(Ht.L1$time)),    # 29
                                  dpresdwinsh=rep(0,length(Ht.L1$time)),     # 30
                                  dpresdlosesh=rep(0,length(Ht.L1$time)),    # 31
                                  dpresddrawsh=rep(0,length(Ht.L1$time)),    # 32
                                  iniwar=trk.iniwar,          # 33
                                  txiniwar=trk.iniwar*log(Ht.L1$time),        # 34
                                  tginvwar=rep(0,length(Ht.L1$time)),        # 35
                                  autdwinwar=rep(0,length(Ht.L1$time)),      # 36
                                  autdlosewar=rep(0,length(Ht.L1$time)),     # 37
                                  autddrawwar=rep(0,length(Ht.L1$time)),     # 38
                                  mixdwinwar=rep(0,length(Ht.L1$time)),      # 39
                                  mixdlosewar=rep(0,length(Ht.L1$time)),     # 40
                                  mixddrawwar=rep(0,length(Ht.L1$time)),     # 41
                                  dparldwinwar=rep(0,length(Ht.L1$time)),    # 42
                                  dparldlosewar=rep(0,length(Ht.L1$time)),   # 43
                                  dparlddrawwar=rep(0,length(Ht.L1$time)),   # 44
                                  dpresdwinwar=trk.presdwinwar,    # 45
                                  dpresdlosewar=rep(0,length(Ht.L1$time)),   # 46
                                  dpresddrawwar=rep(0,length(Ht.L1$time))))  # 47


b.t <- (model2.imp$est) 
xb.pres.7 <- scen7.pres%*%b.t

out.scen7.pres <- NULL
out.scen7.pres[1] <- exp(-exp(xb.pres.7[1])*Ht[1])

for (i in 2:length(Ht.L1$time)) {
     out.scen7.pres[i] <- out.scen7.pres[i-1]*exp(-exp(xb.pres.7[i])*Ht[i])/exp(-exp(xb.pres.7[i])*Ht[i-1])
     }

rm(scen7.pres)


# scenario 5 -- autocracy lose crisis

scen8.pres <- as.matrix(data.frame(mixed=rep(0,length(Ht.L1$time)),
                                  txmixed=rep(0,length(Ht.L1$time)),
                                  demparl=rep(0,length(Ht.L1$time)),
                                  txdemparl=rep(0,length(Ht.L1$time)),
                                  dempres=rep(1,length(Ht.L1$time)),
                                  txdempres=trk.dempres*log(Ht.L1$time),
                                  civwar=rep(0,length(Ht.L1$time)),
                                  txcivwar=rep(0,length(Ht.L1$time)),
                                  lnencap=trk.lnencap,
                                  txlnencap=trk.lnencap*log(Ht.L1$time),
                                  encapchg=rep(ench.50,length(Ht.L1$time)),
                                  lntropen=trk.lntropen,
                                  tropenchg=rep(trch.50,length(Ht.L1$time)),
                                  lnpop=pop.50,
                                  txlnpop=pop.50*log(Ht.L1$time),
                                  age=trk.age,
                                  txage=trk.age*log(Ht.L1$time),
                                  powtimes=rep(0,length(Ht.L1$time)),
                                  inish=rep(0,length(Ht.L1$time)),
                                  tginvsh=rep(0,length(Ht.L1$time)),
                                  autdwinsh=rep(0,length(Ht.L1$time)),
                                  autdlosesh=rep(0,length(Ht.L1$time)),
                                  autddrawsh=rep(0,length(Ht.L1$time)),
                                  mixdwinsh=rep(0,length(Ht.L1$time)),
                                  mixdlosesh=rep(0,length(Ht.L1$time)),
                                  mixddrawsh=rep(0,length(Ht.L1$time)),
                                  dparldwinsh=rep(0,length(Ht.L1$time)),
                                  dparldlosesh=rep(0,length(Ht.L1$time)),
                                  dparlddrawsh=rep(0,length(Ht.L1$time)),
                                  dpresdwinsh=rep(0,length(Ht.L1$time)),
                                  dpresdlosesh=rep(0,length(Ht.L1$time)),
                                  dpresddrawsh=rep(0,length(Ht.L1$time)),
                                  iniwar=trk.iniwar,
                                  txiniwar=trk.iniwar*log(Ht.L1$time),
                                  tginvwar=rep(0,length(Ht.L1$time)),
                                  autdwinwar=rep(0,length(Ht.L1$time)),
                                  autdlosewar=rep(0,length(Ht.L1$time)),
                                  autddrawwar=rep(0,length(Ht.L1$time)),
                                  mixdwinwar=rep(0,length(Ht.L1$time)),
                                  mixdlosewar=rep(0,length(Ht.L1$time)),
                                  mixddrawwar=rep(0,length(Ht.L1$time)),
                                  dparldwinwar=rep(0,length(Ht.L1$time)),
                                  dparldlosewar=rep(0,length(Ht.L1$time)),
                                  dparlddrawwar=rep(0,length(Ht.L1$time)),
                                  dpresdwinwar=rep(0,length(Ht.L1$time)),
                                  dpresdlosewar=trk.presdlosewar,
                                  dpresddrawwar=rep(0,length(Ht.L1$time)))) 


b.t <- (model2.imp$est) 
xb.pres.8 <- scen8.pres%*%b.t

out.scen8.pres <- NULL
out.scen8.pres[1] <- exp(-exp(xb.pres.8[1])*Ht[1])

for (i in 2:length(Ht.L1$time)) {
     out.scen8.pres[i] <- out.scen8.pres[i-1]*exp(-exp(xb.pres.8[i])*Ht[i])/exp(-exp(xb.pres.8[i])*Ht[i-1])
     }

rm(scen8.pres)


# scenario 6 -- autocracy draw crisis


scen9.pres <- as.matrix(data.frame(mixed=rep(0,length(Ht.L1$time)),
                                  txmixed=rep(0,length(Ht.L1$time)),
                                  demparl=rep(0,length(Ht.L1$time)),
                                  txdemparl=rep(0,length(Ht.L1$time)),
                                  dempres=rep(1,length(Ht.L1$time)),
                                  txdempres=trk.dempres*log(Ht.L1$time),
                                  civwar=rep(0,length(Ht.L1$time)),
                                  txcivwar=rep(0,length(Ht.L1$time)),
                                  lnencap=trk.lnencap,
                                  txlnencap=trk.lnencap*log(Ht.L1$time),
                                  encapchg=rep(ench.50,length(Ht.L1$time)),
                                  lntropen=trk.lntropen,
                                  tropenchg=rep(trch.50,length(Ht.L1$time)),
                                  lnpop=pop.50,
                                  txlnpop=pop.50*log(Ht.L1$time),
                                  age=trk.age,
                                  txage=trk.age*log(Ht.L1$time),
                                  powtimes=rep(0,length(Ht.L1$time)),
                                  inish=rep(0,length(Ht.L1$time)),
                                  tginvsh=rep(0,length(Ht.L1$time)),
                                  autdwinsh=rep(0,length(Ht.L1$time)),
                                  autdlosesh=rep(0,length(Ht.L1$time)),
                                  autddrawsh=rep(0,length(Ht.L1$time)),
                                  mixdwinsh=rep(0,length(Ht.L1$time)),
                                  mixdlosesh=rep(0,length(Ht.L1$time)),
                                  mixddrawsh=rep(0,length(Ht.L1$time)),
                                  dparldwinsh=rep(0,length(Ht.L1$time)),
                                  dparldlosesh=rep(0,length(Ht.L1$time)),
                                  dparlddrawsh=rep(0,length(Ht.L1$time)),
                                  dpresdwinsh=rep(0,length(Ht.L1$time)),
                                  dpresdlosesh=rep(0,length(Ht.L1$time)),
                                  dpresddrawsh=rep(0,length(Ht.L1$time)),
                                  iniwar=trk.iniwar,
                                  txiniwar=trk.iniwar*log(Ht.L1$time),
                                  tginvwar=rep(0,length(Ht.L1$time)),
                                  autdwinwar=rep(0,length(Ht.L1$time)),
                                  autdlosewar=rep(0,length(Ht.L1$time)),
                                  autddrawwar=rep(0,length(Ht.L1$time)),
                                  mixdwinwar=rep(0,length(Ht.L1$time)),
                                  mixdlosewar=rep(0,length(Ht.L1$time)),
                                  mixddrawwar=rep(0,length(Ht.L1$time)),
                                  dparldwinwar=rep(0,length(Ht.L1$time)),
                                  dparldlosewar=rep(0,length(Ht.L1$time)),
                                  dparlddrawwar=rep(0,length(Ht.L1$time)),
                                  dpresdwinwar=rep(0,length(Ht.L1$time)),
                                  dpresdlosewar=rep(0,length(Ht.L1$time)),
                                  dpresddrawwar=trk.presddrawwar)) 


b.t <- (model2.imp$est) 
xb.pres.9 <- scen9.pres%*%b.t

out.scen9.pres <- NULL
out.scen9.pres[1] <- exp(-exp(xb.pres.9[1])*Ht[1])

for (i in 2:length(Ht.L1$time)) {
     out.scen9.pres[i] <- out.scen9.pres[i-1]*exp(-exp(xb.pres.9[i])*Ht[i])/exp(-exp(xb.pres.9[i])*Ht[i-1])
     }

rm(scen9.pres)
