# Don't use this script file
# Use models-esteff-13.R

library(Hmisc)

lab <- c('Economy','Int.l conflict',rep(c('T>1','T>3','T>5','T>10'),4))
baseline.1 <- c(NA,round(c(out.scen1.aut[280],out.scen1.aut[590],out.scen1.aut[785],out.scen1.aut[983]),3),
                               round(c(out.scen1.mix[280],out.scen1.mix[590],out.scen1.mix[785],out.scen1.mix[983]),3), 
                               round(c(out.scen1.parl[280],out.scen1.parl[590],out.scen1.parl[785],out.scen1.parl[983]),3),
                               round(c(out.scen1.pres[280],out.scen1.pres[590],out.scen1.pres[785],out.scen1.pres[983]),3))

good.2 <- c(NA,round(c(out.scen2.aut[280],out.scen2.aut[590],out.scen2.aut[785],out.scen2.aut[983]),3),
                           round(c(out.scen2.mix[280],out.scen2.mix[590],out.scen2.mix[785],out.scen2.mix[983]),3), 
                           round(c(out.scen2.parl[280],out.scen2.parl[590],out.scen2.parl[785],out.scen2.parl[983]),3),
                           round(c(out.scen2.pres[280],out.scen2.pres[590],out.scen2.pres[785],out.scen2.pres[983]),3))

poor.3 <- c(NA,round(c(out.scen3.aut[280],out.scen3.aut[590],out.scen3.aut[785],out.scen3.aut[983]),3),
                           round(c(out.scen3.mix[280],out.scen3.mix[590],out.scen3.mix[785],out.scen3.mix[983]),3), 
                           round(c(out.scen3.parl[280],out.scen3.parl[590],out.scen3.parl[785],out.scen3.parl[983]),3),
                           round(c(out.scen3.pres[280],out.scen3.pres[590],out.scen3.pres[785],out.scen3.pres[983]),3))

baseline.4 <- c('Victory',
                           round(c(out.scen4.aut[280],out.scen4.aut[590],out.scen4.aut[785],out.scen4.aut[983]),3),
                           round(c(out.scen4.mix[280],out.scen4.mix[590],out.scen4.mix[785],out.scen4.mix[983]),3), 
                           round(c(out.scen4.parl[280],out.scen4.parl[590],out.scen4.parl[785],out.scen4.parl[983]),3),
                           round(c(out.scen4.pres[280],out.scen4.pres[590],out.scen4.pres[785],out.scen4.pres[983]),3))


baseline.5 <- c('Defeat',
                           round(c(out.scen5.aut[280],out.scen5.aut[590],out.scen5.aut[785],out.scen5.aut[983]),3),
                           round(c(out.scen5.mix[280],out.scen5.mix[590],out.scen5.mix[785],out.scen5.mix[983]),3), 
                           round(c(out.scen5.parl[280],out.scen5.parl[590],out.scen5.parl[785],out.scen5.parl[983]),3),
                           round(c(out.scen5.pres[280],out.scen5.pres[590],out.scen5.pres[785],out.scen5.pres[983]),3))

baseline.6 <- c('Draw',
                           round(c(out.scen6.aut[280],out.scen6.aut[590],out.scen6.aut[785],out.scen6.aut[983]),3),
                           round(c(out.scen6.mix[280],out.scen6.mix[590],out.scen6.mix[785],out.scen6.mix[983]),3), 
                           round(c(out.scen6.parl[280],out.scen6.parl[590],out.scen6.parl[785],out.scen6.parl[983]),3),
                           round(c(out.scen6.pres[280],out.scen6.pres[590],out.scen6.pres[785],out.scen6.pres[983]),3))

baseline.7 <- c('Victory',
                           round(c(out.scen7.aut[280],out.scen7.aut[590],out.scen7.aut[785],out.scen7.aut[983]),3),
                           round(c(out.scen7.mix[280],out.scen7.mix[590],out.scen7.mix[785],out.scen7.mix[983]),3), 
                           round(c(out.scen7.parl[280],out.scen7.parl[590],out.scen7.parl[785],out.scen7.parl[983]),3),
                           round(c(out.scen7.pres[280],out.scen7.pres[590],out.scen7.pres[785],out.scen7.pres[983]),3))

baseline.8 <- c('Defeat',
                           round(c(out.scen8.aut[280],out.scen8.aut[590],out.scen8.aut[785],out.scen8.aut[983]),3),
                           round(c(out.scen8.mix[280],out.scen8.mix[590],out.scen8.mix[785],out.scen8.mix[983]),3), 
                           round(c(out.scen8.parl[280],out.scen8.parl[590],out.scen8.parl[785],out.scen8.parl[983]),3),
                           round(c(out.scen8.pres[280],out.scen8.pres[590],out.scen8.pres[785],out.scen8.pres[983]),3))

baseline.9 <- c('Draw',
                           round(c(out.scen9.aut[280],out.scen9.aut[590],out.scen9.aut[785],out.scen9.aut[983]),3),
                           round(c(out.scen9.mix[280],out.scen9.mix[590],out.scen9.mix[785],out.scen9.mix[983]),3), 
                           round(c(out.scen9.parl[280],out.scen9.parl[590],out.scen9.parl[785],out.scen9.parl[983]),3),
                           round(c(out.scen9.pres[280],out.scen9.pres[590],out.scen9.pres[785],out.scen9.pres[983]),3))




est.eff <- rbind(baseline.1,good.2,poor.3,baseline.4,baseline.5,baseline.6,baseline.7,baseline.8,baseline.9)



old.est <- latex(est.eff, file='C:/My Documents/leaders/paper/lt/old.est.eff.tex', ctable=TRUE,
                  label='tab:est.eff', cgroup=c(' ','Autocracy', 'Mixed Regime','Parl. democ.','Pres. democ.'), 
                  n.cgroup=c(1,4,4,4,4),rgroup=c(' ','Crises','Wars'),n.rgroup=c(3,3,3))
