L.1$dloseshopd <- Leader.data$dloseshopd
L.1$dloseshopm <- Leader.data$dloseshopm
L.1$dloseshopa <- Leader.data$dloseshopa
L.1$dlosewaropd <- Leader.data$dlosewaropd
L.1$dlosewaropm <- Leader.data$dlosewaropm
L.1$dlosewaropa <- Leader.data$dlosewaropa

L.2$dloseshopd <- Leader.data$dloseshopd
L.2$dloseshopm <- Leader.data$dloseshopm
L.2$dloseshopa <- Leader.data$dloseshopa
L.2$dlosewaropd <- Leader.data$dlosewaropd
L.2$dlosewaropm <- Leader.data$dlosewaropm
L.2$dlosewaropa <- Leader.data$dlosewaropa

L.3$dloseshopd <- Leader.data$dloseshopd
L.3$dloseshopm <- Leader.data$dloseshopm
L.3$dloseshopa <- Leader.data$dloseshopa
L.3$dlosewaropd <- Leader.data$dlosewaropd
L.3$dlosewaropm <- Leader.data$dlosewaropm
L.3$dlosewaropa <- Leader.data$dlosewaropa

L.4$dloseshopd <- Leader.data$dloseshopd
L.4$dloseshopm <- Leader.data$dloseshopm
L.4$dloseshopa <- Leader.data$dloseshopa
L.4$dlosewaropd <- Leader.data$dlosewaropd
L.4$dlosewaropm <- Leader.data$dlosewaropm
L.4$dlosewaropa <- Leader.data$dlosewaropa

L.5$dloseshopd <- Leader.data$dloseshopd
L.5$dloseshopm <- Leader.data$dloseshopm
L.5$dloseshopa <- Leader.data$dloseshopa
L.5$dlosewaropd <- Leader.data$dlosewaropd
L.5$dlosewaropm <- Leader.data$dlosewaropm
L.5$dlosewaropa <- Leader.data$dlosewaropa


model1.tx.loseopp.L1 <- coxph(Surv(t0, t, d) ~ mixed + txmixed + demparl + txdemparl + dempres + txdempres
                               + civwar + txcivwar
                               + lnencap + txlnencap + encapchg 
                               + lntropen + tropenchg 
                               + lnpop + txlnpop
                               + age + txage + powtimes
                               + inish + tginvsh
                               + dwinsh 
                               + dloseshopa + dloseshopm + dloseshopd 
                               + ddrawsh
                               + iniwar + txiniwar + tginvwar
                               + dwinwar 
                               + dlosewaropa + dlosewaropm + dlosewaropd  
                               + ddrawwar
                               + frailty(ccode), na.action=na.exclude, data=L.1,
                               control=coxph.control(eps=1e-09,iter.max=100,outer.max=100))

model1.tx.loseopp.L2 <- update(model1.tx.loseopp.L1, .~.,data=L.2)

model1.tx.loseopp.L3 <- update(model1.tx.loseopp.L1, .~.,data=L.3)

model1.tx.loseopp.L4 <- update(model1.tx.loseopp.L1, .~.,data=L.4)

model1.tx.loseopp.L5 <- update(model1.tx.loseopp.L1, .~.,data=L.5)


lop1.coef.L1 <- list(coef(model1.tx.loseopp.L1))
lop1.se.L1 <- list(sqrt(diag(vcov(model1.tx.loseopp.L1))))

lop1.coef.L2 <- list(coef(model1.tx.loseopp.L2))
lop1.se.L2 <- list(sqrt(diag(vcov(model1.tx.loseopp.L2))))

lop1.coef.L3 <- list(coef(model1.tx.loseopp.L3))
lop1.se.L3 <- list(sqrt(diag(vcov(model1.tx.loseopp.L3))))

lop1.coef.L4 <- list(coef(model1.tx.loseopp.L4))
lop1.se.L4 <- list(sqrt(diag(vcov(model1.tx.loseopp.L4))))

lop1.coef.L5 <- list(coef(model1.tx.loseopp.L5))
lop1.se.L5 <- list(sqrt(diag(vcov(model1.tx.loseopp.L5))))

lop1.b <- c(lop1.coef.L1,lop1.coef.L2,lop1.coef.L3,lop1.coef.L4,lop1.coef.L5)
lop1.s <- c(lop1.se.L1,lop1.se.L2,lop1.se.L3,lop1.se.L4,lop1.se.L5)

model1.lop.imp <- mi.inference(lop1.b,lop1.s)

m1.lop <- round(cbind(model1.lop.imp$est,model1.lop.imp$std.err,model1.lop.imp$signif),3)


library(Hmisc)

models.m1.lop <- latex(m1.lop, file='C:/My Documents/leaders/paper/lt/m1.lop.latex.tex', ctable=TRUE,
                  label='tab:m1lop')

detach(package:Hmisc)

m1.lop.llk <- mean(c(model1.tx.loseopp.L1$loglik[2],model1.tx.loseopp.L2$loglik[2],
                          model1.tx.loseopp.L3$loglik[2],model1.tx.loseopp.L4$loglik[2],
                          model1.tx.loseopp.L5$loglik[2]))

k <- nrow(vcov(model1.tx.loseopp.L1))

m1.lop.U <- (vcov(model1.tx.loseopp.L1)+vcov(model1.tx.loseopp.L2)+vcov(model1.tx.loseopp.L3)
                  +vcov(model1.tx.loseopp.L4)+vcov(model1.tx.loseopp.L5))/M

m1.lop.A <- diag(1,k,k)

m1.lop.zz1 <- (model1.tx.loseopp.L1$coef - model1.lop.imp$est)%*%t(model1.tx.loseopp.L1$coef - model1.lop.imp$est)
m1.lop.zz2 <- (model1.tx.loseopp.L2$coef - model1.lop.imp$est)%*%t(model1.tx.loseopp.L2$coef - model1.lop.imp$est)
m1.lop.zz3 <- (model1.tx.loseopp.L3$coef - model1.lop.imp$est)%*%t(model1.tx.loseopp.L3$coef - model1.lop.imp$est)
m1.lop.zz4 <- (model1.tx.loseopp.L4$coef - model1.lop.imp$est)%*%t(model1.tx.loseopp.L4$coef - model1.lop.imp$est)
m1.lop.zz5 <- (model1.tx.loseopp.L5$coef - model1.lop.imp$est)%*%t(model1.tx.loseopp.L5$coef - model1.lop.imp$est)

m1.lop.B <- (m1.lop.zz1+m1.lop.zz2+m1.lop.zz3+m1.lop.zz4+m1.lop.zz5)/(M-1)

m1.lop.rm <- (1+1/M)*sum(diag(m1.lop.B%*%solve(m1.lop.U)))/k

#m1.V <- (1+m1.rm)*m1.U

m1.lop.Dm <- t(m1.lop.A%*%model1.lop.imp$est)%*%solve(m1.lop.A%*%m1.lop.U%*%t(m1.lop.A))%*%(m1.lop.A%*%model1.lop.imp$est)/((1+m1.lop.rm)*k)

m1.lop.a <- 1-2/(k*(M-1))
m1.lop.v <- 4+(k*(M-1)-4)*(1+m1.lop.a/m1.lop.rm)^2

m1.lop.pval.Wald <- pf(m1.lop.Dm,k,m1.lop.v,lower.tail=FALSE)

m1.lop.frailty <- mean(c(model1.tx.loseopp.L1$history$"frailty(ccode)"$history[10,1],
                     model1.tx.loseopp.L2$history$"frailty(ccode)"$history[10,1],
                     model1.tx.loseopp.L3$history$"frailty(ccode)"$history[10,1],
                     model1.tx.loseopp.L4$history$"frailty(ccode)"$history[10,1],
                     model1.tx.loseopp.L5$history$"frailty(ccode)"$history[10,1]))


m1.lop.k.theta <- 136 # see df from model1.tx.loseopp.L1 for example
m1.lop.d.bar.theta <- mean(c(1041.39,1042.69,1039.52,1056.58,1040.26))
m1.lop.s2.theta <- var(c(1041.39,1042.69,1039.52,1056.58,1040.26)^.5)

m1.lop.D.tilde.theta <- (m1.lop.d.bar.theta/m1.lop.k.theta - (1-1/M)*m1.lop.s2.theta)/(1+(1+1/M)*m1.lop.s2.theta)

m1.lop.b.theta <- (m1.lop.k.theta)^(-3/M)*(M-1)*(1+((1+1/M)*m1.lop.s2.theta)^(-1))^2

m1.lop.frail.pval <- pf(m1.lop.D.tilde.theta,m1.lop.k.theta,m1.lop.b.theta,lower.tail=FALSE)







L.1$autdloseshopd <- Leader.data$dloseshopd*Leader.data$autoc
L.1$autdloseshopm <- Leader.data$dloseshopm*Leader.data$autoc
L.1$autdloseshopa <- Leader.data$dloseshopa*Leader.data$autoc
L.1$autdlosewaropd <- Leader.data$dlosewaropd*Leader.data$autoc
L.1$autdlosewaropm <- Leader.data$dlosewaropm*Leader.data$autoc
L.1$autdlosewaropa <- Leader.data$dlosewaropa*Leader.data$autoc

L.1$mixdloseshopd <- Leader.data$dloseshopd*Leader.data$mixed
L.1$mixdloseshopm <- Leader.data$dloseshopm*Leader.data$mixed
L.1$mixdloseshopa <- Leader.data$dloseshopa*Leader.data$mixed
L.1$mixdlosewaropd <- Leader.data$dlosewaropd*Leader.data$mixed
L.1$mixdlosewaropm <- Leader.data$dlosewaropm*Leader.data$mixed
L.1$mixdlosewaropa <- Leader.data$dlosewaropa*Leader.data$mixed


L.1$dparldloseshopd <- Leader.data$dloseshopd*Leader.data$demparl
L.1$dparldloseshopm <- Leader.data$dloseshopm*Leader.data$demparl
L.1$dparldloseshopa <- Leader.data$dloseshopa*Leader.data$demparl
# L.1$dparldlosewaropd <- Leader.data$dlosewaropd*Leader.data$demparl
# L.1$dparldlosewaropm <- Leader.data$dlosewaropm*Leader.data$demparl
L.1$dparldlosewaropa <- Leader.data$dlosewaropa*Leader.data$demparl

L.1$dpresdloseshopd <- Leader.data$dloseshopd*Leader.data$dempres
L.1$dpresdloseshopm <- Leader.data$dloseshopm*Leader.data$dempres
L.1$dpresdloseshopa <- Leader.data$dloseshopa*Leader.data$dempres
# L.1$dpresdlosewaropd <- Leader.data$dlosewaropd*Leader.data$dempres
# L.1$dpresdlosewaropm <- Leader.data$dlosewaropm*Leader.data$dempres
L.1$dpresdlosewaropa <- Leader.data$dlosewaropa*Leader.data$dempres


L.2$autdloseshopd <- Leader.data$dloseshopd*Leader.data$autoc
L.2$autdloseshopm <- Leader.data$dloseshopm*Leader.data$autoc
L.2$autdloseshopa <- Leader.data$dloseshopa*Leader.data$autoc
L.2$autdlosewaropd <- Leader.data$dlosewaropd*Leader.data$autoc
L.2$autdlosewaropm <- Leader.data$dlosewaropm*Leader.data$autoc
L.2$autdlosewaropa <- Leader.data$dlosewaropa*Leader.data$autoc

L.2$mixdloseshopd <- Leader.data$dloseshopd*Leader.data$mixed
L.2$mixdloseshopm <- Leader.data$dloseshopm*Leader.data$mixed
L.2$mixdloseshopa <- Leader.data$dloseshopa*Leader.data$mixed
L.2$mixdlosewaropd <- Leader.data$dlosewaropd*Leader.data$mixed
L.2$mixdlosewaropm <- Leader.data$dlosewaropm*Leader.data$mixed
L.2$mixdlosewaropa <- Leader.data$dlosewaropa*Leader.data$mixed


L.2$dparldloseshopd <- Leader.data$dloseshopd*Leader.data$demparl
L.2$dparldloseshopm <- Leader.data$dloseshopm*Leader.data$demparl
L.2$dparldloseshopa <- Leader.data$dloseshopa*Leader.data$demparl
# L.2$dparldlosewaropd <- Leader.data$dlosewaropd*Leader.data$demparl
# L.2$dparldlosewaropm <- Leader.data$dlosewaropm*Leader.data$demparl
L.2$dparldlosewaropa <- Leader.data$dlosewaropa*Leader.data$demparl

L.2$dpresdloseshopd <- Leader.data$dloseshopd*Leader.data$dempres
L.2$dpresdloseshopm <- Leader.data$dloseshopm*Leader.data$dempres
L.2$dpresdloseshopa <- Leader.data$dloseshopa*Leader.data$dempres
# L.2$dpresdlosewaropd <- Leader.data$dlosewaropd*Leader.data$dempres
# L.2$dpresdlosewaropm <- Leader.data$dlosewaropm*Leader.data$dempres
L.2$dpresdlosewaropa <- Leader.data$dlosewaropa*Leader.data$dempres


L.3$autdloseshopd <- Leader.data$dloseshopd*Leader.data$autoc
L.3$autdloseshopm <- Leader.data$dloseshopm*Leader.data$autoc
L.3$autdloseshopa <- Leader.data$dloseshopa*Leader.data$autoc
L.3$autdlosewaropd <- Leader.data$dlosewaropd*Leader.data$autoc
L.3$autdlosewaropm <- Leader.data$dlosewaropm*Leader.data$autoc
L.3$autdlosewaropa <- Leader.data$dlosewaropa*Leader.data$autoc

L.3$mixdloseshopd <- Leader.data$dloseshopd*Leader.data$mixed
L.3$mixdloseshopm <- Leader.data$dloseshopm*Leader.data$mixed
L.3$mixdloseshopa <- Leader.data$dloseshopa*Leader.data$mixed
L.3$mixdlosewaropd <- Leader.data$dlosewaropd*Leader.data$mixed
L.3$mixdlosewaropm <- Leader.data$dlosewaropm*Leader.data$mixed
L.3$mixdlosewaropa <- Leader.data$dlosewaropa*Leader.data$mixed


L.3$dparldloseshopd <- Leader.data$dloseshopd*Leader.data$demparl
L.3$dparldloseshopm <- Leader.data$dloseshopm*Leader.data$demparl
L.3$dparldloseshopa <- Leader.data$dloseshopa*Leader.data$demparl
# L.3$dparldlosewaropd <- Leader.data$dlosewaropd*Leader.data$demparl
# L.3$dparldlosewaropm <- Leader.data$dlosewaropm*Leader.data$demparl
L.3$dparldlosewaropa <- Leader.data$dlosewaropa*Leader.data$demparl

L.3$dpresdloseshopd <- Leader.data$dloseshopd*Leader.data$dempres
L.3$dpresdloseshopm <- Leader.data$dloseshopm*Leader.data$dempres
L.3$dpresdloseshopa <- Leader.data$dloseshopa*Leader.data$dempres
# L.3$dpresdlosewaropd <- Leader.data$dlosewaropd*Leader.data$dempres
# L.3$dpresdlosewaropm <- Leader.data$dlosewaropm*Leader.data$dempres
L.3$dpresdlosewaropa <- Leader.data$dlosewaropa*Leader.data$dempres


L.4$autdloseshopd <- Leader.data$dloseshopd*Leader.data$autoc
L.4$autdloseshopm <- Leader.data$dloseshopm*Leader.data$autoc
L.4$autdloseshopa <- Leader.data$dloseshopa*Leader.data$autoc
L.4$autdlosewaropd <- Leader.data$dlosewaropd*Leader.data$autoc
L.4$autdlosewaropm <- Leader.data$dlosewaropm*Leader.data$autoc
L.4$autdlosewaropa <- Leader.data$dlosewaropa*Leader.data$autoc

L.4$mixdloseshopd <- Leader.data$dloseshopd*Leader.data$mixed
L.4$mixdloseshopm <- Leader.data$dloseshopm*Leader.data$mixed
L.4$mixdloseshopa <- Leader.data$dloseshopa*Leader.data$mixed
L.4$mixdlosewaropd <- Leader.data$dlosewaropd*Leader.data$mixed
L.4$mixdlosewaropm <- Leader.data$dlosewaropm*Leader.data$mixed
L.4$mixdlosewaropa <- Leader.data$dlosewaropa*Leader.data$mixed


L.4$dparldloseshopd <- Leader.data$dloseshopd*Leader.data$demparl
L.4$dparldloseshopm <- Leader.data$dloseshopm*Leader.data$demparl
L.4$dparldloseshopa <- Leader.data$dloseshopa*Leader.data$demparl
# L.4$dparldlosewaropd <- Leader.data$dlosewaropd*Leader.data$demparl
# L.4$dparldlosewaropm <- Leader.data$dlosewaropm*Leader.data$demparl
L.4$dparldlosewaropa <- Leader.data$dlosewaropa*Leader.data$demparl

L.4$dpresdloseshopd <- Leader.data$dloseshopd*Leader.data$dempres
L.4$dpresdloseshopm <- Leader.data$dloseshopm*Leader.data$dempres
L.4$dpresdloseshopa <- Leader.data$dloseshopa*Leader.data$dempres
# L.4$dpresdlosewaropd <- Leader.data$dlosewaropd*Leader.data$dempres
# L.4$dpresdlosewaropm <- Leader.data$dlosewaropm*Leader.data$dempres
L.4$dpresdlosewaropa <- Leader.data$dlosewaropa*Leader.data$dempres


L.5$autdloseshopd <- Leader.data$dloseshopd*Leader.data$autoc
L.5$autdloseshopm <- Leader.data$dloseshopm*Leader.data$autoc
L.5$autdloseshopa <- Leader.data$dloseshopa*Leader.data$autoc
L.5$autdlosewaropd <- Leader.data$dlosewaropd*Leader.data$autoc
L.5$autdlosewaropm <- Leader.data$dlosewaropm*Leader.data$autoc
L.5$autdlosewaropa <- Leader.data$dlosewaropa*Leader.data$autoc

L.5$mixdloseshopd <- Leader.data$dloseshopd*Leader.data$mixed
L.5$mixdloseshopm <- Leader.data$dloseshopm*Leader.data$mixed
L.5$mixdloseshopa <- Leader.data$dloseshopa*Leader.data$mixed
L.5$mixdlosewaropd <- Leader.data$dlosewaropd*Leader.data$mixed
L.5$mixdlosewaropm <- Leader.data$dlosewaropm*Leader.data$mixed
L.5$mixdlosewaropa <- Leader.data$dlosewaropa*Leader.data$mixed


L.5$dparldloseshopd <- Leader.data$dloseshopd*Leader.data$demparl
L.5$dparldloseshopm <- Leader.data$dloseshopm*Leader.data$demparl
L.5$dparldloseshopa <- Leader.data$dloseshopa*Leader.data$demparl
# L.5$dparldlosewaropd <- Leader.data$dlosewaropd*Leader.data$demparl
# L.5$dparldlosewaropm <- Leader.data$dlosewaropm*Leader.data$demparl
L.5$dparldlosewaropa <- Leader.data$dlosewaropa*Leader.data$demparl

L.5$dpresdloseshopd <- Leader.data$dloseshopd*Leader.data$dempres
L.5$dpresdloseshopm <- Leader.data$dloseshopm*Leader.data$dempres
L.5$dpresdloseshopa <- Leader.data$dloseshopa*Leader.data$dempres
# L.5$dpresdlosewaropd <- Leader.data$dlosewaropd*Leader.data$dempres
# L.5$dpresdlosewaropm <- Leader.data$dlosewaropm*Leader.data$dempres
L.5$dpresdlosewaropa <- Leader.data$dlosewaropa*Leader.data$dempres



model2.tx.loseopp.L1 <- coxph(Surv(t0, t, d) ~ mixed + txmixed + demparl + txdemparl + dempres + txdempres
                               + civwar + txcivwar
                               + lnencap + txlnencap + encapchg 
                               + lntropen + tropenchg 
                               + lnpop + txlnpop
                               + age + txage + powtimes
                               + inish + tginvsh
                               + autdwinsh 
                               + autdloseshopa + autdloseshopm + autdloseshopd
                               + autddrawsh
                               + mixdwinsh 
                               + mixdloseshopa + mixdloseshopm + + mixdloseshopd
                               + mixddrawsh
                               + dparldwinsh 
                               + dparldloseshopa + dparldloseshopm + dparldloseshopd
                               + dparlddrawsh
                               + dpresdwinsh 
                               + dpresdloseshopa + dpresdloseshopm + dpresdloseshopd
                               + dpresddrawsh
                               + iniwar +txiniwar + tginvwar
                               + autdwinwar 
                               + autdlosewaropa + autdlosewaropm + autdlosewaropd
                               + autddrawwar
                               + mixdwinwar 
                               + mixdlosewaropa + mixdlosewaropd # + mixdlosewaropm -- King Hussein, regime type change
                               + mixddrawwar                     # no actual defeat of mixed leader against mixed leader
                               + dparldwinwar 
                               + dparldlosewaropa 
                               + dparlddrawwar
                               + dpresdwinwar 
                               + dpresdlosewaropa 
                               + dpresddrawwar
                               + frailty(ccode), na.action=na.exclude, data=L.1,
                               control=coxph.control(eps=1e-09,iter.max=100,outer.max=100))


model2.tx.loseopp.L2 <- update(model2.tx.loseopp.L1, .~.,data=L.2)

model2.tx.loseopp.L3 <- update(model2.tx.loseopp.L1, .~.,data=L.3)

model2.tx.loseopp.L4 <- update(model2.tx.loseopp.L1, .~.,data=L.4)

model2.tx.loseopp.L5 <- update(model2.tx.loseopp.L1, .~.,data=L.5)



lop2.coef.L1 <- list(coef(model2.tx.loseopp.L1))
lop2.se.L1 <- list(sqrt(diag(vcov(model2.tx.loseopp.L1))))

lop2.coef.L2 <- list(coef(model2.tx.loseopp.L2))
lop2.se.L2 <- list(sqrt(diag(vcov(model2.tx.loseopp.L2))))

lop2.coef.L3 <- list(coef(model2.tx.loseopp.L3))
lop2.se.L3 <- list(sqrt(diag(vcov(model2.tx.loseopp.L3))))

lop2.coef.L4 <- list(coef(model2.tx.loseopp.L4))
lop2.se.L4 <- list(sqrt(diag(vcov(model2.tx.loseopp.L4))))

lop2.coef.L5 <- list(coef(model2.tx.loseopp.L5))
lop2.se.L5 <- list(sqrt(diag(vcov(model2.tx.loseopp.L5))))

lop2.b <- c(lop2.coef.L1,lop2.coef.L2,lop2.coef.L3,lop2.coef.L4,lop2.coef.L5)
lop2.s <- c(lop2.se.L1,lop2.se.L2,lop2.se.L3,lop2.se.L4,lop2.se.L5)

model2.lop.imp <- mi.inference(lop2.b,lop2.s)

m2.lop <- round(cbind('b'=model2.lop.imp$est,'std.err.'=model2.lop.imp$std.err,'p-value'=model2.lop.imp$signif),3)


library(Hmisc)

models.m2.lop <- latex(m2.lop, file='C:/My Documents/leaders/paper/lt/m2.lop.latex.tex', ctable=TRUE,
                  label='tab:m2lop')

detach(package:Hmisc)

m2.lop.llk <- mean(c(model2.tx.loseopp.L1$loglik[2],model2.tx.loseopp.L2$loglik[2],
                          model2.tx.loseopp.L3$loglik[2],model2.tx.loseopp.L4$loglik[2],
                          model2.tx.loseopp.L5$loglik[2]))

k <- nrow(vcov(model2.tx.loseopp.L1))

m2.lop.U <- (vcov(model2.tx.loseopp.L1)+vcov(model2.tx.loseopp.L2)+vcov(model2.tx.loseopp.L3)
                  +vcov(model2.tx.loseopp.L4)+vcov(model2.tx.loseopp.L5))/M

m2.lop.A <- diag(1,k,k)

m2.lop.zz1 <- (model2.tx.loseopp.L1$coef - model2.lop.imp$est)%*%t(model2.tx.loseopp.L1$coef - model2.lop.imp$est)
m2.lop.zz2 <- (model2.tx.loseopp.L2$coef - model2.lop.imp$est)%*%t(model2.tx.loseopp.L2$coef - model2.lop.imp$est)
m2.lop.zz3 <- (model2.tx.loseopp.L3$coef - model2.lop.imp$est)%*%t(model2.tx.loseopp.L3$coef - model2.lop.imp$est)
m2.lop.zz4 <- (model2.tx.loseopp.L4$coef - model2.lop.imp$est)%*%t(model2.tx.loseopp.L4$coef - model2.lop.imp$est)
m2.lop.zz5 <- (model2.tx.loseopp.L5$coef - model2.lop.imp$est)%*%t(model2.tx.loseopp.L5$coef - model2.lop.imp$est)

m2.lop.B <- (m2.lop.zz1+m2.lop.zz2+m2.lop.zz3+m2.lop.zz4+m2.lop.zz5)/(M-1)

m2.lop.rm <- (1+1/M)*sum(diag(m2.lop.B%*%solve(m2.lop.U)))/k

#m2.V <- (1+m2.rm)*m2.U

m2.lop.Dm <- t(m2.lop.A%*%model2.lop.imp$est)%*%solve(m2.lop.A%*%m2.lop.U%*%t(m2.lop.A))%*%(m2.lop.A%*%model2.lop.imp$est)/((1+m2.lop.rm)*k)

m2.lop.a <- 1-2/(k*(M-1))
m2.lop.v <- 4+(k*(M-1)-4)*(1+m2.lop.a/m2.lop.rm)^2

m2.lop.pval.Wald <- pf(m2.lop.Dm,k,m2.lop.v,lower.tail=FALSE)

m2.lop.frailty <- mean(c(model2.tx.loseopp.L1$history$"frailty(ccode)"$history[10,1],
                     model2.tx.loseopp.L2$history$"frailty(ccode)"$history[10,1],
                     model2.tx.loseopp.L3$history$"frailty(ccode)"$history[10,1],
                     model2.tx.loseopp.L4$history$"frailty(ccode)"$history[10,1],
                     model2.tx.loseopp.L5$history$"frailty(ccode)"$history[10,1]))


m2.lop.k.theta <- 136 # see df from model2.tx.loseopp.L1 for example
m2.lop.d.bar.theta <- mean(c(1029.74,1031.32,1027.76,1045.70,1028.95))
m2.lop.s2.theta <- var(c(1029.74,1031.32,1027.76,1045.70,1028.95)^.5)

m2.lop.D.tilde.theta <- (m2.lop.d.bar.theta/m2.lop.k.theta - (1-1/M)*m2.lop.s2.theta)/(1+(1+1/M)*m2.lop.s2.theta)

m2.lop.b.theta <- (m2.lop.k.theta)^(-3/M)*(M-1)*(1+((1+1/M)*m2.lop.s2.theta)^(-1))^2

m2.lop.frail.pval <- pf(m2.lop.D.tilde.theta,m2.lop.k.theta,m2.lop.b.theta,lower.tail=FALSE)
