
# library(Hmisc)



m1.dfbetas.L1 <- residuals(model1.tx.L1,type='dfbetas')
m1.dfbetas.L2 <- residuals(model1.tx.L2,type='dfbetas')
m1.dfbetas.L3 <- residuals(model1.tx.L3,type='dfbetas')
m1.dfbetas.L4 <- residuals(model1.tx.L4,type='dfbetas')
m1.dfbetas.L5 <- residuals(model1.tx.L5,type='dfbetas')

m1.dfbetas.subj.L1 <- tapply(m1.dfbetas.L1[,1],Leader.data$leadid,sum)

for (j in 2:length(model1.tx.L1$coef)) {
     m1.dfbetas.subj.L1 <- cbind(m1.dfbetas.subj.L1,tapply(m1.dfbetas.L1[,j],Leader.data$leadid,sum))
     }

for (j in 1:length(model1.tx.L1$coef)) {
     print(describe(m1.dfbetas.subj.L1[,j], descript=names(model1.tx.L1$coef[j])))
     }

max(abs(m1.dfbetas.subj.L1))

# chk <- residuals(model1.tx.L1,type='dfbetas',collapse=Leader.data$leadid)
# alternative, and simpler, computation

# dfbetas.p.L1 <- dfbeta.L1[dfbeta.L1>2/sqrt(model1.tx.L1$n)]


m2.dfbetas.L1 <- residuals(model2.tx.L1,type='dfbetas')
m2.dfbetas.L2 <- residuals(model2.tx.L2,type='dfbetas')
m2.dfbetas.L3 <- residuals(model2.tx.L3,type='dfbetas')
m2.dfbetas.L4 <- residuals(model2.tx.L4,type='dfbetas')
m2.dfbetas.L5 <- residuals(model2.tx.L5,type='dfbetas')


m2.dfbetas.subj.L1 <- tapply(m2.dfbetas.L1[,1],Leader.data$leadid,sum)

for (j in 2:length(model2.tx.L1$coef)) {
     m2.dfbetas.subj.L1 <- cbind(m2.dfbetas.subj.L1,tapply(m2.dfbetas.L1[,j],Leader.data$leadid,sum))
     }

for (j in 1:length(model2.tx.L1$coef)) {
     print(describe(m2.dfbetas.subj.L1[,j], descript=names(model2.tx.L1$coef[j])))
     }


max(abs(m1.dfbetas.subj.L1))

length(m2.dfbetas.subj.L1[abs(m2.dfbetas.subj.L1)>.3])
length(m2.dfbetas.subj.L1[abs(m2.dfbetas.subj.L1)>2/sqrt(2049)])



for (j in 1:length(model2.tx.L1$coef)) {
     print(describe(m2.dfbetas.L1[,j], descript=names(model2.tx.L1$coef[j])))
     }


m1.dfbeta.L1 <- residuals(model1.tx.L1,type='dfbeta')
m1.dfbeta.L2 <- residuals(model1.tx.L2,type='dfbeta')
m1.dfbeta.L3 <- residuals(model1.tx.L3,type='dfbeta')
m1.dfbeta.L4 <- residuals(model1.tx.L4,type='dfbeta')
m1.dfbeta.L5 <- residuals(model1.tx.L5,type='dfbeta')

m1.dfbeta.subj.L1 <- t(as.matrix(rep(0,ncol(m1.dfbeta.L1))))

for (j in 1:2) { #length(model1.tx.L1$coef)
     m1.dfbeta.subj.L1[,j] <- tapply(m1.dfbeta.L1[,j],Leader.data$leadid,sum)
     }


# dfbetas.p.L1 <- dfbeta.L1[dfbeta.L1>2/sqrt(model1.tx.L1$n)]



m2.dfbeta.L1 <- residuals(model2.tx.L1,type='dfbeta')
m2.dfbeta.L2 <- residuals(model2.tx.L2,type='dfbeta')
m2.dfbeta.L3 <- residuals(model2.tx.L3,type='dfbeta')
m2.dfbeta.L4 <- residuals(model2.tx.L4,type='dfbeta')
m2.dfbeta.L5 <- residuals(model2.tx.L5,type='dfbeta')
